<schema xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"
        xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"
		xmlns:cac-pl="urn:pl:extended:CommonAggregateComponents-2" 
		xmlns:cbc-pl="urn:pl:extended:CommonBasicComponents-2" 
        xmlns:cn="urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2"
        xmlns:UBL="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2_PL"
        queryBinding="xslt2">
  <title>EN16931  model bound to UBL</title>
  <ns prefix="ext" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2"/>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="cbc-pl" uri="urn:pl:extended:CommonBasicComponents-2"/>
  <ns prefix="cac-pl" uri="urn:pl:extended:CommonAggregateComponents-2"/>
  <ns prefix="qdt" uri="urn:oasis:names:specification:ubl:schema:xsd:QualifiedDataTypes-2"/>
  <ns prefix="udt" uri="urn:oasis:names:specification:ubl:schema:xsd:UnqualifiedDataTypes-2"/>
  <ns prefix="cn" uri="urn:oasis:names:specification:ubl:schema:xsd:CreditNote-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2_PL"/>
  <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
  <phase id="EN16931model_phase">
      <active pattern="UBL-model"/>
  </phase>
  <phase id="codelist_phase">/
      <active pattern="Codesmodel"/>
  </phase>
   
   <let name="supplierCountry"
    value="
      if (/*/cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)) then
        upper-case(normalize-space(/*/cac:AccountingSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)))
      else
        if (/*/cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)) then
          upper-case(normalize-space(/*/cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID = 'VAT']/substring(cbc:CompanyID, 1, 2)))
        else
          if (/*/cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) then
            upper-case(normalize-space(/*/cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode))
          else
            'XX'"/>
  
  
  <!--Suppressed abstract pattern model was here-->
  <!--Suppressed abstract pattern syntax was here-->
  
  <!--
  Transaction rules
    PL-FV-0X - Gross data level
    PL-FV-1X - 
    PL-FV-2X -  
  -->
  
  <!-- Gross data validation   --> 
    <pattern name="check AdditionalInvoiceGrossData"> 
  
	<rule context="cac:InvoiceLine">
			  <let name="testposition" value="count(preceding-sibling::cac-pl:InvoiceLine) + 1"/>
     	      <assert id="PL-FV-02"
              test="if (cbc:ID = //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cbc-pl:ID) 
              then (if (cbc:LineExtensionAmount + //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:TaxTotal/cbc-pl:TaxAmount = //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cbc-pl:LineExtensionGrossAmount) 
              then true() else false())  else true()"
              flag="fatal">[PL-FV-02] Niezgodna wartość pozycji brutto.</assert>  
     	      <assert id="PL-FV-03"
              test="if (cbc:ID = //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cbc-pl:ID) 
              then (if (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:TaxTotal/cbc-pl:TaxAmount - (cbc:LineExtensionAmount *(cac:Item/cac:ClassifiedTaxCategory/cbc:Percent * 0.01)) &lt; 0.1) 
              then true() else false())  else true()"
              flag="fatal">[PL-FV-03] Niezgodna wartość podatku.</assert>
      	      <assert id="PL-FV-04"
              test="if (cbc:ID = //ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cbc-pl:ID) 
              then (if (//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine[$testposition]/cac-pl:Price/cbc-pl:GrossPriceAmount - (cac:Price/cbc:PriceAmount * ( 1 + (cac:Item/cac:ClassifiedTaxCategory/cbc:Percent * 0.01))) &lt; 0.1)
              then true() else false())  else true()"
              flag="fatal">[PL-FV-04] Niezgodna wartość ceny brutto.</assert>  
              
    </rule>  
    
	 <rule context="//ubl:Invoice/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:SubInvoiceLine">

		<let name="testsubposition" value = "if((substring-after(substring-after(substring-after(cbc-pl:ID,'.'),'.'),'.')='') and substring-after(substring-after(cbc-pl:ID,'.'),'.')!='') then (concat((substring-before(cbc-pl:ID,'.')),'.',(substring-before(substring-after(cbc-pl:ID,'.'),'.')),'.',substring-after(substring-after(cbc-pl:ID,'.'),'.'))) else 'NaN'"/>	
		<let name="testsubpos4" value = "exists(../cac-pl:SubInvoiceLine[substring-after(cbc-pl:ID,$testsubposition) != ''])"/>

		<let name="testsumposition1" value = "if (exists(cbc-pl:LineExtensionGrossAmount)) then number(format-number(2 * cbc-pl:LineExtensionGrossAmount, '#.00')) else 0"/>
		<let name="testsumposition2" value = "number(format-number(sum(../cac-pl:SubInvoiceLine[starts-with(normalize-space(cbc-pl:ID/text()),$testsubposition)]/cbc-pl:LineExtensionGrossAmount), '#.00'))"/>
		<let name="testsumposition3" value = "if (exists(cac-pl:TaxTotal/cbc-pl:TaxAmount)) then number(format-number(2 * cac-pl:TaxTotal/cbc-pl:TaxAmount, '#.00')) else 0"/>
		<let name="testsumposition4" value = "number(format-number(sum(../cac-pl:SubInvoiceLine[starts-with(normalize-space(cbc-pl:ID/text()),$testsubposition)]/cac-pl:TaxTotal/cbc-pl:TaxAmount), '#.00'))"/>
		<let name="testsumposition5" value = "if (exists(cac-pl:Price/cbc-pl:GrossPriceAmount)) then number(format-number(2 * cac-pl:Price/cbc-pl:GrossPriceAmount, '#.00')) else 0"/>
		<let name="testsumposition6" value = "number(format-number(sum(../cac-pl:SubInvoiceLine[starts-with(normalize-space(cbc-pl:ID/text()),$testsubposition)]/cac-pl:Price/cbc-pl:GrossPriceAmount), '#.00'))"/>
         
<!--
		<assert id="PL-FV-0a-test"
              test="false()" 
              flag="fatal">[PL-FV-0a-test] Wartości sum
					cbc-pl:ID=<value-of  select="cbc-pl:ID"/>  -  
                  	$testsubposition=<value-of  select="$testsubposition"/>  -  
                  	$testsubpos4=<value-of  select="$testsubpos4"/>  -  
					$testsumposition1=<value-of  select="$testsumposition1"/>  -  
					$testsumposition2=<value-of  select="$testsumposition2"/>  -  
					$testsumposition3=<value-of  select="$testsumposition3"/>  -  
					$testsumposition4=<value-of  select="$testsumposition4"/>  -  
					$testsumposition5=<value-of  select="$testsumposition5"/>  -  
					$testsumposition6=<value-of  select="$testsumposition6"/>  -  
              </assert> 
-->

		<assert id="PL-FV-0h"
              test="if ((string-length(substring-after(substring-after(substring-after(./cbc-pl:ID,'.'),'.'),'.')) != 0) and (./cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:ItemClassificationCode != '')) then false() else true()"
              flag="fatal">[PL-FV-0h] Klasyfikacja może występować tylko na pierwszym poziomie danych dodatkowych
        </assert>
              
		<assert id="PL-FV-0a"
              test="if ($testsubpos4 and  (cbc-pl:ID = $testsubposition)) then (if ($testsumposition1 = $testsumposition2) then true() else  false()) else true()" 
              flag="fatal">[PL-FV-0a] Niezgodna wartość pozycji w danych dodatkowych brutto.
              </assert> 
		<assert id="PL-FV-0b"
              test="if ($testsubpos4 and  (cbc-pl:ID = $testsubposition)) then (if ($testsumposition3 = $testsumposition4) then true() else  false()) else true()" 
              flag="fatal">[PL-FV-0b] Niezgodna wartość podatku w pozycji w danych dodatkowych brutto. 
              </assert> 
		<assert id="PL-FV-0c"
              test="if ($testsubpos4 and  (cbc-pl:ID = $testsubposition)) then (if ($testsumposition5 = $testsumposition6) then true() else  false()) else true()" 
              flag="fatal">[PL-FV-0c] Niezgodna wartość ceny w pozycji w danych dodatkowych brutto. 
              </assert> 

	</rule>  
	
	 <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceDataNetto/cac-pl:InvoiceLine/cac-pl:SubInvoiceLine">
	
		<let name="testsubposition" value = "if((substring-after(substring-after(substring-after(cbc-pl:ID,'.'),'.'),'.')='') and substring-after(substring-after(cbc-pl:ID,'.'),'.')!='') then (concat((substring-before(cbc-pl:ID,'.')),'.',(substring-before(substring-after(cbc-pl:ID,'.'),'.')),'.',substring-after(substring-after(cbc-pl:ID,'.'),'.'))) else 'NaN'"/>
		<let name="testsubpos4" value = "exists(../cac-pl:SubInvoiceLine[substring-after(cbc-pl:ID,$testsubposition) != ''])"/>
		
		<let name="testsumposition1" value = "if (exists(cbc-pl:LineExtensionAmount)) then number(format-number(2 * cbc-pl:LineExtensionAmount, '#.00')) else 0"/>
		<let name="testsumposition2" value = "number(format-number(sum(../cac-pl:SubInvoiceLine[starts-with(normalize-space(cbc-pl:ID/text()),$testsubposition)]/cbc-pl:LineExtensionAmount), '#.00'))"/>
		<let name="testsumposition3" value = "if (exists(cac-pl:TaxTotal/cbc-pl:TaxAmount)) then number(format-number(2 * cac-pl:TaxTotal/cbc-pl:TaxAmount, '#.00')) else 0"/>
		<let name="testsumposition4" value = "number(format-number(sum(../cac-pl:SubInvoiceLine[starts-with(normalize-space(cbc-pl:ID/text()),$testsubposition)]/cac-pl:TaxTotal/cbc-pl:TaxAmount), '#.00'))"/>
		<let name="testsumposition5" value = "if (exists(cac-pl:Price/cbc-pl:PriceAmount)) then number(format-number(2 * cac-pl:Price/cbc-pl:PriceAmount, '#.00')) else 0"/>
		<let name="testsumposition6" value = "number(format-number(sum(../cac-pl:SubInvoiceLine[starts-with(normalize-space(cbc-pl:ID/text()),$testsubposition)]/cac-pl:Price/cbc-pl:PriceAmount), '#.00'))"/>
			
		<assert id="PL-FV-0d"
              test="if ($testsubpos4 and  (cbc-pl:ID = $testsubposition)) then (if ($testsumposition1 = $testsumposition2) then true() else  false()) else true()" 
              flag="fatal">[PL-FV-0d] Niezgodna wartość pozycji w danych dodatkowych netto.
              </assert> 
		<assert id="PL-FV-0e"
              test="if ($testsubpos4 and  (cbc-pl:ID = $testsubposition)) then (if ($testsumposition3 = $testsumposition4) then true() else  false()) else true()" 
              flag="fatal">[PL-FV-0e] Niezgodna wartość podatku w pozycji w danych dodatkowych netto. 
              </assert> 
		<assert id="PL-FV-0f"
              test="if ($testsubpos4 and  (cbc-pl:ID = $testsubposition)) then (if ($testsumposition5 = $testsumposition6) then true() else  false()) else true()" 
              flag="fatal">[PL-FV-0f] Niezgodna wartość ceny w pozycji w danych dodatkowych netto. 
              </assert> 
              
  		<assert id="PL-FV-0h"
              test="if ((string-length(substring-after(substring-after(substring-after(./cbc-pl:ID,'.'),'.'),'.')) != 0) and (./cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:ItemClassificationCode != '')) then false() else true()"
              flag="fatal">[PL-FV-0h] Klasyfikacja może występować tylko na pierwszym poziomie danych dodatkowych
        </assert>

	</rule>  
	
	<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceDataNetto/cac-pl:InvoiceLine">
	
		<assert id="PL-FV-0g"
              test="if (./cbc-pl:ID = //cac:InvoiceLine/cbc:ID)  then true() else  false()" 
              flag="fatal">[PL-FV-0g] Dane dodatkowe spoza list pozycji w CORE nie mogą występować w EXT3.
              </assert> 
	
	</rule>

    </pattern> 
      .
  <!--Start pattern based on abstract model -->

  
)
    <pattern> 
      <rule context="//ubl:Invoice/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData">
         <assert test="exists(cac-pl:InvoiceLine)"
                 flag="fatal"
                 id="PL-CI-020">[PL-CI-020]-An Invoice shall have at least one Invoice line (BG-25)</assert>
         <assert test="string-length(substring-after(cac-pl:TaxTotal[1]/cbc-pl:TaxAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-025">[PL-CI-025]-The allowed maximum number of decimals for the Invoice total VAT amount in accounting currency (BT-111) is 2.</assert>
		</rule>
 
      <rule context="ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine/cac-pl:SubInvoiceLine">
      			 <let name="testposition7" value="../count(preceding-sibling::cac-pl:InvoiceLine) + 1"/>
      			 <let name="testsubposition7" value="count(preceding-sibling::cac-pl:SubInvoiceLine) + 1"/>
          <assert test="if(exists(cac-pl:Item/cbc-pl:Description)) then (if(exists(//ext:UBLExtensions/ext:UBLExtension[3]/ext:ExtensionContent/cac-pl:AdditionalInvoiceDataNetto/cac-pl:InvoiceLine[$testposition7]/cac-pl:SubInvoiceLine[$testsubposition7]/cac-pl:Item/cbc-pl:Description)) then false() else true()) else true()"
                 flag="fatal"
                  id="PL-CI-026">[PL-CI-026]-An Invoice shall have at least one cbc-pl:Description
                 </assert>
          <assert test="if(exists(cac-pl:Item/cbc-pl:Name)) then (if(exists(//ext:UBLExtensions/ext:UBLExtension[3]/ext:ExtensionContent/cac-pl:AdditionalInvoiceDataNetto/cac-pl:InvoiceLine[$testposition7]/cac-pl:SubInvoiceLine[$testsubposition7]/cac-pl:Item/cbc-pl:Name)) then false() else true()) else true()"
                 flag="fatal"
                  id="PL-CI-027">[PL-CI-027]-An Invoice shall have at least one cbc-pl:Name
                 </assert>
          <assert test="if(exists(cac-pl:Item/cbc-pl:Name)) then (if(exists(//ext:UBLExtensions/ext:UBLExtension[3]/ext:ExtensionContent/cac-pl:AdditionalInvoiceDataNetto/cac-pl:InvoiceLine[$testposition7]/cac-pl:SubInvoiceLine[$testsubposition7]/cac-pl:Item/cbc-pl:Name)) then false() else true()) else true()"
                 flag="fatal"
                  id="PL-CI-028">[PL-CI-028]-An Invoice shall have at least one cac-pl:SellersItemIdentification
 <!--                 	$testposition7=<value-of  select="$testposition7"/>  -  
					$testsubposition7=<value-of  select="$testsubposition7"/>  -  
					Warunek=<value-of  select="if(exists(cac-pl:Item/cac-pl:SellersItemIdentification)) then (if(exists(//ext:UBLExtensions/ext:UBLExtension[3]/ext:ExtensionContent/cac-pl:AdditionalInvoiceDataNetto/cac-pl:InvoiceLine[$testposition7]/cac-pl:SubInvoiceLine[$testsubposition7]/cac-pl:Item/cac-pl:SellersItemIdentification)) then false() else true()) else true()"/>  -  
  -->
                 </assert>
		</rule>
                 
      <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalAddressData">
         <assert test="cac-pl:SellerSupplierParty/cac:Party/cac:PartyName/cbc:Name != ''"
                 flag="warning"
                 id="PL-IN-2-003">[PL-IN-2-003] Faktura powinna zawierać nazwę wystawcy faktury. An Invoice shall contain the Seller name (BT-27).</assert>
         <assert test="cac-pl:ReceiverParty/cac:Party/cac:PartyName/cbc:Name != ''"
                 flag="warning"
                 id="PL-IN-2-004">[PL-IN-2-004] Faktura powinna zawierać nazwę adresata. An Invoice shall contain the Buyer name (BT-44).</assert>
         <assert test="cac-pl:SellerSupplierParty/cac:Party/cac:PostalAddress != ''"
                 flag="warning"
                 id="PL-IN-2-005">[PL-IN-2-005] Faktura powinna zawierać adres pocztowy wystawcy faktury. An Invoice shall contain the Seller postal address.</assert>                 
         <assert test="cac-pl:SellerSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode != ''"
                 flag="warning"
                 id="PL-IN-2-006">[PL-IN-2-006] Faktura powinna zawierać kod kraju wystawcy faktury. The Seller postal address (BG-5) shall contain a Seller country code (BT-40).</assert>
         <assert test="cac-pl:ReceiverParty/cac:Party/cac:PostalAddress != ''"
                 flag="warning"
                 id="PL-IN-2-007">[PL-IN-2-007] Faktura powinna zawierać adres adresata faktury. An Invoice shall contain the Buyer postal address (BG-8).</assert>
         <assert test="cac-pl:ReceiverParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode != ''"
                 flag="warning"
                 id="PL-IN-2-008">[PL-IN-2-008] Faktura powinna zawierać kod kraju adresata faktury. The Buyer postal address shall contain a Buyer country code (BT-55).</assert>  
      </rule>
      
      <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:UtilityConsumptionPoint">
         <assert test="cac-pl:PostalAddress != ''"
                 flag="warning"
                 id="PL-IN-3-005">[PL-IN-3-005] Faktura powinna zawierać adres pocztowy punktu odbioru mediów. An Invoice shall contain the postal address of utility point.</assert>
         <assert test="cac-pl:PostalAddress/cac-pl:Country/cbc-pl:IdentificationCode != ''"
                 flag="warning"
                 id="PL-IN-3-006">[PL-IN-3-006] Faktura powinna zawierać kod kraju punktu odbioru mediów. The Seller postal address (BG-5) shall contain a country code of utility point (BT-40).</assert>
       </rule>                
                 
      <rule context="//ubl:Invoice/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine">
         <assert test="(cbc-pl:ID) != ''" flag="fatal" id="PL-CI-055">[PL-CI-055]-Each Invoice line (BG-25) shall have an Invoice line identifier (BT-126).</assert>
         <assert test="if (exists(cac-pl:Price/cbc-pl:PriceGrossAmount)) then ((cac-pl:Price/cbc-pl:PriceGrossAmount) &lt;= 0) else true()" flag="fatal" id="PL-CI-061">[PL-CI-061]-The Item gross price (BT-146) shall NOT be negative.</assert>
         <assert test="string-length(substring-after(cbc-pl:LineExtensionAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-064">[PL-CI-064]-The allowed maximum number of decimals for the Invoice line net amount (BT-131) is 2.    </assert>

			<assert test="not(cbc-pl:UUID)" flag="fatal" id="UBL-CI-515">[UBL-CI-515]-A UBL invoice should not include the InvoiceLine UUID</assert>
			<assert test="not(cbc-pl:TaxPointDate)" flag="fatal" id="UBL-CI-516">[UBL-CI-516]-A UBL invoice should not include the InvoiceLine TaxPointDate</assert>
			<assert test="not(cbc-pl:AccountingCostCode)" flag="fatal" id="UBL-CI-517">[UBL-CI-517]-A UBL invoice should not include the InvoiceLine AccountingCostCode</assert>
			<assert test="not(cbc-pl:PaymentPurposeCode)" flag="fatal" id="UBL-CI-518">[UBL-CI-518]-A UBL invoice should not include the InvoiceLine PaymentPurposeCode</assert>
			<assert test="not(cbc-pl:FreeOfChargeIndicator)" flag="fatal" id="UBL-CI-519">[UBL-CI-519]-A UBL invoice should not include the InvoiceLine FreeOfChargeIndicator</assert>
			<assert test="not(cac-pl:InvoicePeriod/cbc-pl:StartTime)" flag="fatal" id="UBL-CI-520">[UBL-CI-520]-A UBL invoice should not include the InvoiceLine InvoicePeriod StartTime</assert>
			<assert test="not(cac-pl:OrderLineReference/cbc-pl:SalesOrderLineID)" flag="fatal" id="UBL-CI-525">[UBL-CI-525]-A UBL invoice should not include the InvoiceLine OrderLineReference SalesOrderLineID</assert>
			<assert test="not(cac-pl:DespatchLineReference)" flag="fatal" id="UBL-CI-529">[UBL-CI-529]-A UBL invoice should not include the InvoiceLine DespatchLineReference</assert>
			<assert test="not(cac-pl:ReceiptLineReference)" flag="fatal" id="UBL-CI-530">[UBL-CI-530]-A UBL invoice should not include the InvoiceLine ReceiptLineReference</assert>
			<assert test="not(cac-pl:BillingReference)" flag="fatal" id="UBL-CI-531">[UBL-CI-531]-A UBL invoice should not include the InvoiceLine BillingReference</assert>
			<assert test="not(cac-pl:DocumentReference/cbc-pl:CopyIndicator)" flag="fatal" id="UBL-CI-532">[UBL-CI-532]-A UBL invoice should not include the InvoiceLine DocumentReference CopyIndicator</assert>
			<assert test="not(cac-pl:PricingReference)" flag="fatal" id="UBL-CI-548">[UBL-CI-548]-A UBL invoice should not include the InvoiceLine PricingReference</assert>
			<assert test="not(cac-pl:OriginatorParty)" flag="fatal" id="UBL-CI-549">[UBL-CI-549]-A UBL invoice should not include the InvoiceLine OriginatorParty</assert>
			<assert test="not(cac-pl:Delivery)" flag="fatal" id="UBL-CI-550">[UBL-CI-550]-A UBL invoice should not include the InvoiceLine Delivery</assert>
			<assert test="not(cac-pl:PaymentTerms)" flag="fatal" id="UBL-CI-551">[UBL-CI-551]-A UBL invoice should not include the InvoiceLine PaymentTerms</assert>
			<assert test="not(cac-pl:AllowanceCharge/cbc-pl:ID)" flag="fatal" id="UBL-CI-552">[UBL-CI-552]-A UBL invoice should not include the InvoiceLine AllowanceCharge ID</assert>
			<assert test="not(cac-pl:WithholdingTaxTotal)" flag="fatal" id="UBL-CI-562">[UBL-CI-562]-A UBL invoice should not include the InvoiceLine WithholdingTaxTotal</assert>
			<assert test="not(cac-pl:Item/cbc-pl:PackQuantity)" flag="fatal" id="UBL-CI-563">[UBL-CI-563]-A UBL invoice should not include the InvoiceLine Item PackQuantity</assert>
			<assert test="not(cac-pl:Item/cbc-pl:PackSizeNumeric)" flag="fatal" id="UBL-CI-564">[UBL-CI-564]-A UBL invoice should not include the InvoiceLine Item PackSizeNumeric</assert>
			<assert test="not(cac-pl:Item/cbc-pl:CatalogueIndicator)" flag="fatal" id="UBL-CI-565">[UBL-CI-565]-A UBL invoice should not include the InvoiceLine Item CatalogueIndicator</assert>
			<assert test="not(cac-pl:Item/cbc-pl:HazardousRiskIndicator)" flag="fatal" id="UBL-CI-566">[UBL-CI-566]-A UBL invoice should not include the InvoiceLine Item HazardousRiskIndicator</assert>
			<assert test="not(cac-pl:Item/cbc-pl:AdditionalInformation)" flag="fatal" id="UBL-CI-567">[UBL-CI-567]-A UBL invoice should not include the InvoiceLine Item AdditionalInformation</assert>
			<assert test="not(cac-pl:Item/cbc-pl:Keyword)" flag="fatal" id="UBL-CI-568">[UBL-CI-568]-A UBL invoice should not include the InvoiceLine Item Keyword</assert>
			<assert test="not(cac-pl:Item/cbc-pl:BrandName)" flag="fatal" id="UBL-CI-569">[UBL-CI-569]-A UBL invoice should not include the InvoiceLine Item BrandName</assert>
			<assert test="not(cac-pl:Item/cbc-pl:ModelName)" flag="fatal" id="UBL-CI-570">[UBL-CI-570]-A UBL invoice should not include the InvoiceLine Item ModelName</assert>
			<assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification)" flag="fatal" id="UBL-CI-571">[UBL-CI-571]-A UBL invoice should not include the InvoiceLine Item BuyersItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification)" flag="fatal" id="UBL-CI-576">[UBL-CI-576]-A UBL invoice should not include the InvoiceLine Item SellersItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:ManufacturersItemIdentification)" flag="fatal" id="UBL-CI-581">[UBL-CI-581]-A UBL invoice should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification)" flag="fatal" id="UBL-CI-582">[UBL-CI-582]-A UBL invoice should not include the InvoiceLine Item StandardItemIdentification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CatalogueItemIdentification)" flag="fatal" id="UBL-CI-587">[UBL-CI-587]-A UBL invoice should not include the InvoiceLine Item CatalogueItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:AdditionalItemIdentification)" flag="fatal" id="UBL-CI-588">[UBL-CI-588]-A UBL invoice should not include the InvoiceLine Item AdditionalItemIdentification</assert>
			<assert test="not(cac-pl:Item/cac-pl:CatalogueDocumentReference)" flag="fatal" id="UBL-CI-589">[UBL-CI-589]-A UBL invoice should not include the InvoiceLine Item CatalogueDocumentReference</assert>
			<assert test="not(cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)" flag="fatal" id="UBL-CI-590">[UBL-CI-590]-A UBL invoice should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
			<assert test="not(cac-pl:Item/cac-pl:OriginCountry)" flag="fatal" id="UBL-CI-591">[UBL-CI-591]-A UBL invoice should not include the InvoiceLine Item OriginCountry </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)" flag="fatal" id="UBL-CI-592">[UBL-CI-592]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)" flag="fatal" id="UBL-CI-593">[UBL-CI-593]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)" flag="fatal" id="UBL-CI-594">[UBL-CI-594]-A UBL invoice should not include the InvoiceLine Item CommodityClassification </assert>
			<assert test="not(cac-pl:Item/cac-pl:TransactionConditions)" flag="fatal" id="UBL-CI-595">[UBL-CI-595]-A UBL invoice should not include the InvoiceLine Item TransactionConditions</assert>
			<assert test="not(cac-pl:Item/cac-pl:HazardousItem)" flag="fatal" id="UBL-CI-596">[UBL-CI-596]-A UBL invoice should not include the InvoiceLine Item HazardousItem</assert>
			<assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory)" flag="fatal" id="UBL-CI-597">[UBL-CI-597]-A UBL invoice should not include the InvoiceLine Item ClassifiedTaxCategory </assert>
			<assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty)" flag="fatal" id="UBL-CI-608">[UBL-CI-608]-A UBL invoice should not include the InvoiceLine Item AdditionalItemProperty</assert>
			<assert test="not(cac-pl:Item/cac-pl:ManufacturerParty)" flag="fatal" id="UBL-CI-619">[UBL-CI-619]-A UBL invoice should not include the InvoiceLine Item ManufacturerParty</assert>
			<assert test="not(cac-pl:Item/cac-pl:InformationContentProviderParty)" flag="fatal" id="UBL-CI-620">[UBL-CI-620]-A UBL invoice should not include the InvoiceLine Item InformationContentProviderParty</assert>
			<assert test="not(cac-pl:Item/cac-pl:OriginAddress)" flag="fatal" id="UBL-CI-621">[UBL-CI-621]-A UBL invoice should not include the InvoiceLine Item OriginAddress</assert>
			<assert test="not(cac-pl:Item/cac-pl:ItemInstance)" flag="fatal" id="UBL-CI-622">[UBL-CI-622]-A UBL invoice should not include the InvoiceLine Item ItemInstance</assert>
			<assert test="not(cac-pl:Item/cac-pl:Certificate)" flag="fatal" id="UBL-CI-623">[UBL-CI-623]-A UBL invoice should not include the InvoiceLine Item Certificate</assert>
			<assert test="not(cac-pl:Item/cac-pl:Dimension)" flag="fatal" id="UBL-CI-624">[UBL-CI-624]-A UBL invoice should not include the InvoiceLine Item Dimension</assert>
			<assert test="not(cac-pl:Item/cac-pl:Price)" flag="fatal" id="UBL-CI-625">[UBL-CI-625]-A UBL invoice should not include the InvoiceLine Item Price </assert>
			<assert test="not(cac-pl:DeliveryTerms)" flag="fatal" id="UBL-CI-645">[UBL-CI-645]-A UBL invoice should not include the InvoiceLine DeliveryTerms</assert>
			<assert test="not(cac-pl:ItemPriceExtension)" flag="fatal" id="UBL-CI-647">[UBL-CI-647]-A UBL invoice should not include the InvoiceLine ItemPriceExtension</assert>
		</rule>

     <rule context="/ubl:Invoice/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalAddressData | /cn:CreditNote">
      <assert id="BR-06" flag="fatal" test="(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName) !=''">[BR-06]-An Invoice shall contain the Seller name (BT-27).</assert>
      <assert id="BR-07" flag="fatal" test="(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationName) !=''">[BR-07]-An Invoice shall contain the Buyer name (BT-44).</assert>
      <assert id="BR-08" flag="fatal" test="exists(cac:SellerSupplierParty/cac:Party/cac:PostalAddress)">[BR-08]-An Invoice shall contain the Seller postal address. </assert>
      <assert id="BR-10" flag="fatal" test="exists(cac:ReceiverParty/cac:Party/cac:PostalAddress)">[BR-10]-An Invoice shall contain the Buyer postal address (BG-8).</assert>
      <assert id="BR-AE-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-AE-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Reverse charge" shall contain the Seller VAT Identifier (BT-31), the Seller Tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48) and/or the Buyer legal registration identifier (BT-47).</assert>
      <assert id="BR-AE-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-AE-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Reverse charge" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48) and/or the Buyer legal registration identifier (BT-47).</assert>
      <assert id="BR-AE-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-AE-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Reverse charge" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48) and/or the Buyer legal registration identifier (BT-47).</assert>
      <assert id="BR-E-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-E-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Exempt from VAT" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-E-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-E-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Exempt from VAT" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-E-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-E-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Exempt from VAT" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-G-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'G'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'G'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-G-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Export outside the EU" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-G-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='G']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='G'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-G-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Export outside the EU" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-G-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='G']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='G'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-G-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Export outside the EU" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IC-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT'])">[BR-IC-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Intra-community supply" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-IC-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IC-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Intra-community supply" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-IC-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IC-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Intra-community supply" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-IG-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IG-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "IGIC" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IG-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IG-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "IGIC" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IG-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[cbc:ID='L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IG-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "IGIC" shall contain the Seller VAT Identifier (BT-31), the Seller Tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IP-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IP-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "IPSI" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IP-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IP-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "IPSI" shall contain the Seller VAT Identifier (BT-31), the Seller Tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IP-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IP-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "IPSI" shall contain the Seller VAT Identifier (BT-31), the Seller Tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-O-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (not(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT'])">[BR-O-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Not subject to VAT" shall not contain the Seller VAT identifier (BT-31), the Seller tax representative VAT identifier (BT-63) or the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-O-03" flag="fatal" test="(exists((/ubl:Invoice|/cn:CreditNote)/cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (not(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists((/ubl:Invoice|/cn:CreditNote)/cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-O-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Not subject to VAT" shall not contain the Seller VAT identifier (BT-31), the Seller tax representative VAT identifier (BT-63) or the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-O-04" flag="fatal" test="(exists((/ubl:Invoice|/cn:CreditNote)/cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (not(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists((/ubl:Invoice|/cn:CreditNote)/cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-O-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Not subject to VAT" shall not contain the Seller VAT identifier (BT-31), the Seller tax representative VAT identifier (BT-63) or the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-S-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'S']))">[BR-S-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Standard rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-S-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-S-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Standard rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-S-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-S-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Standard rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-Z-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-Z-02]-An Invoice that contains an Invoice line where the Invoiced item VAT category code (BT-151) is "Zero rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-Z-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-Z-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Zero rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-Z-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID)or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-Z-04]-An Invoice that contains a Document level charge where the Document level charge VAT category code (BT-102) is "Zero rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-AE-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-AE-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Reverse charge" shall contain the Seller VAT Identifier (BT-31), the Seller Tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48) and/or the Buyer legal registration identifier (BT-47).</assert>
      <assert id="BR-AE-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-AE-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Reverse charge" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48) and/or the Buyer legal registration identifier (BT-47).</assert>
      <assert id="BR-AE-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'AE'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-AE-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Reverse charge" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48) and/or the Buyer legal registration identifier (BT-47).</assert>
      <assert id="BR-E-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-E-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Exempt from VAT" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-E-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-E-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Exempt from VAT" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-E-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='E'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-E-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Exempt from VAT" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-G-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'G'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'G'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-G-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Export outside the EU" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-G-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='G']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='G'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-G-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Export outside the EU" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-G-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='G']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='G'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-G-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Export outside the EU" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IC-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT'])">[BR-IC-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Intra-community supply" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-IC-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IC-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Intra-community supply" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-IC-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID)) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'K'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IC-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Intra-community supply" shall contain the Seller VAT Identifier (BT-31) or the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-IG-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IG-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "IGIC" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IG-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IG-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "IGIC" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IG-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[cbc:ID='L'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IG-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "IGIC" shall contain the Seller VAT Identifier (BT-31), the Seller Tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IP-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IP-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "IPSI" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IP-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IP-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "IPSI" shall contain the Seller VAT Identifier (BT-31), the Seller Tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-IP-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='M'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-IP-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "IPSI" shall contain the Seller VAT Identifier (BT-31), the Seller Tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-O-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (not(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT'])">[BR-O-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Not subject to VAT" shall not contain the Seller VAT identifier (BT-31), the Seller tax representative VAT identifier (BT-63) or the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-O-03" flag="fatal" test="(exists((/ubl:Invoice|/cn:CreditNote)/cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (not(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists((/ubl:Invoice|/cn:CreditNote)/cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-O-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Not subject to VAT" shall not contain the Seller VAT identifier (BT-31), the Seller tax representative VAT identifier (BT-63) or the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-O-04" flag="fatal" test="(exists((/ubl:Invoice|/cn:CreditNote)/cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (not(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID) and not(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists((/ubl:Invoice|/cn:CreditNote)/cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'O'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-O-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Not subject to VAT" shall not contain the Seller VAT identifier (BT-31), the Seller tax representative VAT identifier (BT-63) or the Buyer VAT identifier (BT-48).</assert>
      <assert id="BR-S-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'S']))">[BR-S-02]-An Invoice that contains an Invoice line (BG-25) where the Invoiced item VAT category code (BT-151) is "Standard rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-S-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-S-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Standard rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-S-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='S'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-S-04]-An Invoice that contains a Document level charge (BG-21) where the Document level charge VAT category code (BT-102) is "Standard rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-Z-02" flag="fatal" test="(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:ClassifiedTaxCategory[normalize-space(cbc:ID) = 'Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-Z-02]-An Invoice that contains an Invoice line where the Invoiced item VAT category code (BT-151) is "Zero rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-Z-03" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID)='Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID) or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=false()]/cac:TaxCategory[normalize-space(cbc:ID) = 'Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-Z-03]-An Invoice that contains a Document level allowance (BG-20) where the Document level allowance VAT category code (BT-95) is "Zero rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>
      <assert id="BR-Z-04" flag="fatal" test="(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID)='Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']) and (exists(//cac:ReceiverParty/cac:Party/cac:PartyTaxScheme/cbc:CompanyID)or exists(//cac:TaxRepresentativeParty/cac:PartyTaxScheme[cac:TaxScheme/(normalize-space(upper-case(cbc:ID)) = 'VAT')]/cbc:CompanyID))) or not(exists(//cac:AllowanceCharge[cbc:ChargeIndicator=true()]/cac:TaxCategory[normalize-space(cbc:ID) = 'Z'][cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']))">[BR-Z-04]-An Invoice that contains a Document level charge where the Document level charge VAT category code (BT-102) is "Zero rated" shall contain the Seller VAT Identifier (BT-31), the Seller tax registration identifier (BT-32) and/or the Seller tax representative VAT identifier (BT-63).</assert>

      </rule>
      
     
      
    <rule context="cac:SellerSupplierParty">
      <assert id="BR-CO-26" flag="fatal" test="exists(cac:Party/cac:PartyTaxScheme[cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']/cbc:CompanyID) or exists(cac:Party/cac:PartyIdentification/cbc:ID) or exists(cac:Party/cac:PartyLegalEntity/cbc:CompanyID)">[BR-CO-26]-In order for the buyer to automatically identify a supplier, the Seller identifier (BT-29), the Seller legal registration identifier (BT-30) and/or the Seller VAT identifier (BT-31) shall be present.  </assert>
    </rule>
    
    <rule context="cac:SellerSupplierParty/cac:Party/cac:PostalAddress">
      <assert id="BR-09" flag="fatal" test="(cac:Country/cbc:IdentificationCode) != ''">[BR-09]-The Seller postal address (BG-5) shall contain a Seller country code (BT-40).</assert>
    </rule>
      
    <rule context="cac:ReceiverParty">
      <assert id="BR-CO-26" flag="fatal" test="exists(cac:Party/cac:PartyTaxScheme[cac:TaxScheme/normalize-space(upper-case(cbc:ID))='VAT']/cbc:CompanyID) or exists(cac:Party/cac:PartyIdentification/cbc:ID) or exists(cac:Party/cac:PartyLegalEntity/cbc:CompanyID)">[BR-CO-26]-In order for the buyer to automatically identify a supplier, the Receiver identifier (BT-29), the Receiver legal registration identifier (BT-30) and/or the Receiver VAT identifier (BT-31) shall be present.  </assert>
    </rule>
    
    <rule context="cac:ReceiverParty/cac:Party/cac:PostalAddress">
      <assert id="BR-09" flag="fatal" test="(cac:Country/cbc:IdentificationCode) != ''">[BR-09]-The Receiver ceive postal address (BG-5) shall contain a Seller country code (BT-40).</assert>
    </rule>
    
    <rule context="//ubl:Invoice[cbc:InvoiceTypeCode='393']">
     <assert id="PL-FA-01" flag="fatal" 
     test="if(exists(//cac:PaymentMeans/cac:PayeeFinancialAccount/cbc:ID) and exists(cbc:Note) and exists(//cac:PayeeParty)) then true() else false()">[PL-FA-01] - In case of factoring, information about Payee Party, Payee financial acccount and Note should be provided</assert>
    </rule>

   </pattern>
   
    <pattern id="UBL-model">
      <rule context="//cac-pl:AdditionalItemProperty">
         <assert test="exists(cbc-pl:Name) and exists(cbc-pl:Value)"
                 flag="fatal"
                 id="PL-CI-077">[PL-CI-077]-Each Item attribute (BG-32) shall contain an Item attribute name (BT-160) and an Item attribute value (BT-161).</assert>
      </rule>

      <rule context="//cac-pl:PartyTaxScheme[cac-pl:TaxScheme/cbc-pl:ID='VAT']">
         <assert test="( contains( 'AD AE AF AG AI AL AM AN AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BL BJ BM BN BO BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CX CY CZ DE DJ DK DM DO DZ EC EE EG EH EL ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR ST SV SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS YE YT ZA ZM ZW 1A ',substring(cbc-pl:CompanyID,1,2) ) )"
                 flag="fatal"
                 id="PL-CI-088">[PL-CI-088]-The Seller VAT identifier (BT-31), the Seller tax representative VAT identifier (BT-63) and the Buyer VAT identifier (BT-48) shall have a prefix in accordance with ISO code ISO 3166-1 alpha-2 by which the country of issue may be identified. Nevertheless, Greece may use the prefix ‘EL’.</assert>
      </rule>
      
      <rule context="//*[ends-with(name(), 'Amount') and not(ends-with(name(),'PriceAmount')) and not(ancestor::cac-pl:Price/cac-pl:AllowanceCharge)]">
         <assert test="string-length(substring-after(.,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-140">[PL-CI-140]-Amounts shall be decimal up to two fraction digits</assert>
      </rule>

      <rule context="cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'false']">
         <assert test="(count(cbc-pl:AllowanceChargeReason) &lt;= 1)"
                 flag="warning"
                 id="PL-CI-141">[PL-CI-141]-Document level allowance reason shall occur maximum once</assert>
      </rule>
      <rule context="cac-pl:AdditionalInvoiceGrossData/cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'true']">
         <assert test="(count(cbc-pl:AllowanceChargeReason) &lt;= 1)"
                 flag="warning"
                 id="PL-CI-142">[PL-CI-142]-Document level charge reason shall occur maximum once</assert>
      </rule>
      
      <rule context="cac-pl:InvoiceLine">
         <assert test="(count(cbc-pl:Note) &lt;= 1)" flag="warning" id="UBL-SR-34">[UBL-SR-34]-Invoice line note shall occur maximum once</assert>
         <assert test="(count(cac-pl:InvoicePeriod) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-36">[UBL-SR-36]-Invoice line period shall occur maximum once</assert>
         <assert test="(count(cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:Amount) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-37">[UBL-SR-37]-Item price discount shall occur maximum once</assert>
         <assert test="(count(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReason) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-38">[UBL-SR-38]-Invoiced item VAT exemption reason text shall occur maximum once</assert>
      </rule>

      <rule context="cac-pl:TaxSubtotal">
         <assert test="(count(cac-pl:TaxCategory/cbc-pl:TaxExemptionReason) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-32">[UBL-SR-32]-VAT exemption reason text shall occur maximum once</assert>
      </rule>
   </pattern>
   
   <pattern>
   
   <!--##CustomizationID zgodne z akceptacja PEPPOL-->
      <rule context="cbc:CustomizationID">
         <assert test="normalize-space(text()) = 'urn:fdc:www.efaktura.gov.pl:ver2.0:trns:plinv:ver1.4'"
                 flag="fatal"
                 id="PL-CI-R-000">Element 'cbc:CustomizationID' MUST contain value 'urn:fdc:www.efaktura.gov.pl:ver2.0:trns:plinv:ver1.4'.</assert>
      </rule>
 
		<rule context="cn:CreditNote">
			<assert id="PL-CI-R-000-1" test="cbc:ProfileID" flag="fatal">Business process MUST be provided.</assert>
		</rule>
 
	<!--##Dodanie reguły do występowania ProfileID-->	
 
	   <rule context="cbc:ProfileID">
         <assert test="normalize-space(text()) = 'urn:fdc:www.efaktura.gov.pl:ver2.0:plinv:ver1.4'"
                 flag="fatal"
                 id="PL-CI-R-000-2">Element 'cbc:ProfileID' MUST contain value 'urn:fdc:www.efaktura.gov.pl:ver2.0:plinv:ver1.4'.</assert>
      </rule>
      
      
      
      <rule context="//ubl:Invoice/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData">
         <assert test="(count(cac-pl:LegalMonetaryTotal/cbc-pl:PayableAlternativeAmount)  = 0)"
                 flag="warning"
                 id="UBL-IN-514">[UBL-IN-514]-A PEF invoice Gross data should not include the LegalMonetaryTotal PayableAlternativeAmount</assert>
      </rule>
            
      <rule context="//ubl:Invoice/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceGrossData/cac-pl:InvoiceLine">
         <assert test="if(cbc-pl:UUID) then false() else true()"
				 flag="warning" 
				 id="UBL-IN-100">[UBL-IN-100]-A PEF invoice Gross data should not include the InvoiceLine UUID</assert>
         <assert test="if(cbc-pl:InvoiceedQuantity) then false() else true()"
                 id="PL-CI-024">[PL-CI-024]-The allowed maximum number of decimals for the Invoice total VAT amount (BT-110) is 2.</assert>
         <assert test="string-length(substring-after(cac-pl:TaxTotal[2]/cbc-pl:TaxAmount,'.'))&lt;=2"
                 flag="warning"
                 id="UBL-IN-101">[UBL-IN-101]-A PEF invoice Gross data should not include the InvoiceLine InvoiceedQuantity</assert>
         <assert test="not(cbc-pl:TaxPointDate)"
                 flag="warning"
                 id="UBL-IN-102">[UBL-IN-102]-A PEF invoice Gross data should not include the InvoiceLine TaxPointDate</assert>
         <assert test="not(cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-103">[UBL-IN-103]-A PEF invoice Gross data should not include the InvoiceLine AccountingCostCode</assert>
         <assert test="not(cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-IN-104">[UBL-IN-104]-A PEF invoice Gross data should not include the InvoiceLine PaymentPurposeCode</assert>
         <assert test="not(cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-IN-105">[UBL-IN-105]-A PEF invoice Gross data should not include the InvoiceLine FreeOfChargeIndicator</assert>
         <assert test="not(cac-pl:OrderLineReference)"
                 flag="warning"
                 id="UBL-IN-106">[UBL-IN-106]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference</assert>
         <assert test="not(cac-pl:InvoicePeriod)"
                 flag="warning"
                 id="UBL-IN-107">[UBL-IN-107]-A PEF invoice Gross data should not include the InvoiceLine InvoicePeriod)</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DespatchLineReference)"
                 flag="warning"
                 id="UBL-IN-108">[UBL-IN-108]-A PEF invoice Gross data should not include the InvoiceLine DespatchLineReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:ReceiptLineReference)"
                 flag="warning"
                 id="UBL-IN-109">[UBL-IN-109]-A PEF invoice Gross data should not include the InvoiceLine ReceiptLineReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:BillingReference)"
                 flag="warning"
                 id="UBL-IN-110">[UBL-IN-110]-A PEF invoice Gross data should not include the InvoiceLine BillingReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference)"
                 flag="warning"
                 id="UBL-IN-111">[UBL-IN-111]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:PricingReference)"
                 flag="warning"
                 id="UBL-IN-112">[UBL-IN-112]-A PEF invoice Gross data should not include the InvoiceLine PricingReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:OriginatorParty)"
                 flag="warning"
                 id="UBL-IN-113">[UBL-IN-113]-A PEF invoice Gross data should not include the InvoiceLine OriginatorParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Delivery)"
                 flag="warning"
                 id="UBL-IN-114">[UBL-IN-114]-A PEF invoice Gross data should not include the InvoiceLine Delivery</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:PaymentTerms)"
                 flag="warning"
                 id="UBL-IN-115">[UBL-IN-115]-A PEF invoice Gross data should not include the InvoiceLine PaymentTerms</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge)"
                 flag="warning"
                 id="UBL-IN-116">[UBL-IN-116]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:PackQuantity)"
                 flag="warning"
                 id="UBL-IN-117">[UBL-IN-117]-A PEF invoice Gross data should not include the InvoiceLine Item PackQuantity</assert>
         <assert test="not(cac-pl:Item/cbc-pl:PackSizeNumeric)"
                 flag="warning"
                 id="UBL-IN-118">[UBL-IN-118]-A PEF invoice Gross data should not include the InvoiceLine Item PackSizeNumeric</assert>
         <assert test="not(cac-pl:Item/cbc-pl:CatalogueIndicator)"
                 flag="warning"
                 id="UBL-IN-119">[UBL-IN-119]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueIndicator</assert>
         <assert test="not(cac-pl:Item/cbc-pl:HazardousRiskIndicator)"
                 flag="warning"
                 id="UBL-IN-1120">[UBL-IN-120]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousRiskIndicator</assert>
         <assert test="not(cac-pl:Item/cbc-pl:AdditionalInformation)"
                 flag="warning"
                 id="UBL-IN-121">[UBL-IN-121]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalInformation</assert>
         <assert test="not(cac-pl:Item/cbc-pl:Keyword)"
                 flag="warning"
                 id="UBL-IN-122">[UBL-IN-122]-A PEF invoice Gross data should not include the InvoiceLine Item Keyword</assert>
         <assert test="not(cac-pl:Item/cbc-pl:BrandName)"
                 flag="warning"
                 id="UBL-IN-123">[UBL-IN-123]-A PEF invoice Gross data should not include the InvoiceLine Item BrandName</assert>
         <assert test="not(cac-pl:Item/cbc-pl:ModelName)"
                 flag="warning"
                 id="UBL-IN-124">[UBL-IN-124]-A PEF invoice Gross data should not include the InvoiceLine Item ModelName</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-125">[UBL-IN-125]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-126">[UBL-IN-126]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-127">[UBL-IN-127]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-128">[UBL-IN-128]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-129">[UBL-IN-129]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-130">[UBL-IN-130]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-131">[UBL-IN-131]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-132">[UBL-IN-132]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-133">[UBL-IN-133]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-134">[UBL-IN-134]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:ManufacturersItemIdentification)"
                 flag="warning"
                 id="UBL-IN-135">[UBL-IN-135]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-136">[UBL-IN-136]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-137">[UBL-IN-137]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-138">[UBL-IN-138]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-139">[UBL-IN-139]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-140">[UBL-IN-140]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:CatalogueItemIdentification)"
                 flag="warning"
                 id="UBL-IN-141">[UBL-IN-141]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueItemIdentification</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemIdentification)"
                 flag="warning"
                 id="UBL-IN-142">[UBL-IN-142]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemIdentification</assert>
         <assert test="not(cac-pl:Item/cac-pl:CatalogueDocumentReference)"
                 flag="warning"
                 id="UBL-IN-143">[UBL-IN-143]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueDocumentReference</assert>
         <assert test="not(cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)"
                 flag="warning"
                 id="UBL-IN-144">[UBL-IN-144]-A PEF invoice Gross data should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)"
                 flag="warning"
                 id="UBL-IN-145">[UBL-IN-145]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification NatureCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-146">[UBL-IN-146]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-147">[UBL-IN-147]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)"
                 flag="warning"
                 id="UBL-IN-148">[UBL-IN-148]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CommodityCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:TransactionConditions)"
                 flag="warning"
                 id="UBL-IN-149">[UBL-IN-149]-A PEF invoice Gross data should not include the InvoiceLine Item TransactionConditions</assert>
         <assert test="not(cac-pl:Item/cac-pl:HazardousItem)"
                 flag="warning"
                 id="UBL-IN-150">[UBL-IN-150]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousItem</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-151">[UBL-IN-151]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory Name</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-IN-152">[UBL-IN-152]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory BaseUnitMeasure</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-153">[UBL-IN-153]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory PerUnitAmount</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReasonCode)"
                 flag="warning"
                 id="UBL-IN-154">[UBL-IN-154]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReasonCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReason)"
                 flag="warning"
                 id="UBL-IN-155">[UBL-IN-155]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReason</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-IN-156">[UBL-IN-156]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRange</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-IN-157">[UBL-IN-157]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRatePercent</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-158">[UBL-IN-158]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme Name</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-IN-159">[UBL-IN-159]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-IN-160">[UBL-IN-160]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cac-pl:JurisdiccionRegionAddress)"
                 flag="warning"
                 id="UBL-IN-161">[UBL-IN-161]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme JurisdiccionRegionAddress</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-162">[UBL-IN-162]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ID</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:NameCode)"
                 flag="warning"
                 id="UBL-IN-163">[UBL-IN-163]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty NameCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:TestMethod)"
                 flag="warning"
                 id="UBL-IN-164">[UBL-IN-164]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty TestMethod</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQuantity)"
                 flag="warning"
                 id="UBL-IN-165">[UBL-IN-165]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQuantity</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQualifier)"
                 flag="warning"
                 id="UBL-IN-166">[UBL-IN-166]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQualifier</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ImportanceCode)"
                 flag="warning"
                 id="UBL-IN-167">[UBL-IN-167]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ImportanceCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ListValue)"
                 flag="warning"
                 id="UBL-IN-168">[UBL-IN-168]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ListValue</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:UsabilityPeriod)"
                 flag="warning"
                 id="UBL-IN-169">[UBL-IN-169]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty UsabilityPeriod</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyGroup)"
                 flag="warning"
                 id="UBL-IN-170">[UBL-IN-170]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyGroup</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:RangeDimension)"
                 flag="warning"
                 id="UBL-IN-171">[UBL-IN-171]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty RangeDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyRange)"
                 flag="warning"
                 id="UBL-IN-172">[UBL-IN-172]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyRange</assert>
         <assert test="not(cac-pl:Item/cac-pl:ManufacturerParty)"
                 flag="warning"
                 id="UBL-IN-173">[UBL-IN-173]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:InformationContentProviderParty)"
                 flag="warning"
                 id="UBL-IN-174">[UBL-IN-174]-A PEF invoice Gross data should not include the InvoiceLine Item InformationContentProviderParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:OriginAddress)"
                 flag="warning"
                 id="UBL-IN-175">[UBL-IN-175]-A PEF invoice Gross data should not include the InvoiceLine Item OriginAddress</assert>
         <assert test="not(cac-pl:Item/cac-pl:ItemInstance)"
                 flag="warning"
                 id="UBL-IN-176">[UBL-IN-176]-A PEF invoice Gross data should not include the InvoiceLine Item ItemInstance</assert>
         <assert test="not(cac-pl:Item/cac-pl:Certificate)"
                 flag="warning"
                 id="UBL-IN-177">[UBL-IN-177]-A PEF invoice Gross data should not include the InvoiceLine Item Certificate</assert>
         <assert test="not(cac-pl:Item/cac-pl:Dimension)"
                 flag="warning"
                 id="UBL-IN-178">[UBL-IN-178]-A PEF invoice Gross data should not include the InvoiceLine Item Dimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceChangeReason)"
                 flag="warning"
                 id="UBL-IN-179">[UBL-IN-179]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceChangeReason</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceTypeCode)"
                 flag="warning"
                 id="UBL-IN-180">[UBL-IN-180]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceType)"
                 flag="warning"
                 id="UBL-IN-181">[UBL-IN-181]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceType</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-182">[UBL-IN-182]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-IN-183">[UBL-IN-183]-A PEF invoice Gross data should not include the InvoiceLine Item Price ValidityPeriod</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceList)"
                 flag="warning"
                 id="UBL-IN-184">[UBL-IN-184]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceList</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-185">[UBL-IN-185]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-186">[UBL-IN-186]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge ID</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode)"
                 flag="warning"
                 id="UBL-IN-187">[UBL-IN-187]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReasonCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason)"
                 flag="warning"
                 id="UBL-IN-189">[UBL-IN-189]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReason</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:MultiplierFactorNumeric)"
                 flag="warning"
                 id="UBL-IN-190">[UBL-IN-190]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge MultiplierFactorNumeric</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-IN-191">[UBL-IN-191]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-IN-192">[UBL-IN-192]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-193">[UBL-IN-193]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-IN-194">[UBL-IN-194]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-195">[UBL-IN-195]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-IN-196">[UBL-IN-196]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-IN-197">[UBL-IN-197]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-IN-198">[UBL-IN-198]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:PricingExchangeRate)"
                 flag="warning"
                 id="UBL-IN-199">[UBL-IN-199]-A PEF invoice Gross data should not include the InvoiceLine Item Price PricingExchangeRate</assert>
         <assert test="not(cac-pl:DeliveryTerms)"
                 flag="warning"
                 id="UBL-IN-200">[UBL-IN-200]-A PEF invoice Gross data should not include the InvoiceLine DeliveryTerms</assert>
         <assert test="not(cac-pl:ItemPriceExtension)"
                 flag="warning"
                 id="UBL-IN-202">[UBL-IN-202]-A PEF invoice Gross data should not include the InvoiceLine ItemPriceExtension</assert>  
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:UUID)" 
				 flag="warning" 
				 id="UBL-IN-203">[UBL-IN-203]-A PEF invoice Gross data should not include the InvoiceLine UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:TaxPointDate)"
                 flag="warning"
                 id="UBL-IN-204">[UBL-IN-204]-A PEF invoice Gross data should not include the InvoiceLine TaxPointDate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-205">[UBL-IN-205]-A PEF invoice Gross data should not include the InvoiceLine AccountingCostCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-IN-206">[UBL-IN-206]-A PEF invoice Gross data should not include the InvoiceLine PaymentPurposeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-IN-207">[UBL-IN-207]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:SalesOrderLineID)"
                 flag="warning"
                 id="UBL-IN-208">[UBL-IN-208]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference SalesOrderLineID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-IN-209">[UBL-IN-209]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:LineStatusCode)"
                 flag="warning"
                 id="UBL-IN-210">[UBL-IN-210]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference LineStatusCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:OrderReference)"
                 flag="warning"
                 id="UBL-IN-211">[UBL-IN-211]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference OrderReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DespatchLineReference)"
                 flag="warning"
                 id="UBL-IN-212">[UBL-IN-212]-A PEF invoice Gross data should not include the InvoiceLine DespatchLineReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:ReceiptLineReference)"
                 flag="warning"
                 id="UBL-IN-213">[UBL-IN-213]-A PEF invoice Gross data should not include the InvoiceLine ReceiptLineReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:BillingReference)"
                 flag="warning"
                 id="UBL-IN-214">[UBL-IN-214]-A PEF invoice Gross data should not include the InvoiceLine BillingReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-IN-215">[UBL-IN-215]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference CopyIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-IN-216">[UBL-IN-216]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-IN-217">[UBL-IN-217]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference IssueDate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-IN-218">[UBL-IN-218]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference IssueTime</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-IN-219">[UBL-IN-219]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference DocumentType</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-IN-220">[UBL-IN-220]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference Xpath</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-IN-221">[UBL-IN-221]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference LanguageID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-IN-222">[UBL-IN-222]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference LocaleCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-IN-223">[UBL-IN-223]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference VersionID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-IN-224">[UBL-IN-224]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentDescription)"
                 flag="warning"
                 id="UBL-IN-225">[UBL-IN-225]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference DocumentDescription</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:Attachment)"
                 flag="warning"
                 id="UBL-IN-226">[UBL-IN-226]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference Attachment</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-IN-227">[UBL-IN-227]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference ValidityPeriod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-228">[UBL-IN-228]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-IN-229">[UBL-IN-229]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference ResultOfVerification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:PricingReference)"
                 flag="warning"
                 id="UBL-IN-230">[UBL-IN-230]-A PEF invoice Gross data should not include the InvoiceLine PricingReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OriginatorParty)"
                 flag="warning"
                 id="UBL-IN-231">[UBL-IN-231]-A PEF invoice Gross data should not include the InvoiceLine OriginatorParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Delivery)"
                 flag="warning"
                 id="UBL-IN-232">[UBL-IN-232]-A PEF invoice Gross data should not include the InvoiceLine Delivery</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:PaymentTerms)"
                 flag="warning"
                 id="UBL-IN-233">[UBL-IN-233]-A PEF invoice Gross data should not include the InvoiceLine PaymentTerms</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-234">[UBL-IN-234]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge ID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-IN-235">[UBL-IN-235]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-IN-236">[UBL-IN-236]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-237">[UBL-IN-237]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-IN-238">[UBL-IN-238]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-239">[UBL-IN-239]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-IN-240">[UBL-IN-240]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-IN-241">[UBL-IN-241]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-IN-242">[UBL-IN-242]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:PackQuantity)"
                 flag="warning"
                 id="UBL-IN-243">[UBL-IN-243]-A PEF invoice Gross data should not include the InvoiceLine Item PackQuantity</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:PackSizeNumeric)"
                 flag="warning"
                 id="UBL-IN-244">[UBL-IN-244]-A PEF invoice Gross data should not include the InvoiceLine Item PackSizeNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:CatalogueIndicator)"
                 flag="warning"
                 id="UBL-IN-245">[UBL-IN-245]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:HazardousRiskIndicator)"
                 flag="warning"
                 id="UBL-IN-246">[UBL-IN-246]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousRiskIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:AdditionalInformation)"
                 flag="warning"
                 id="UBL-IN-247">[UBL-IN-247]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalInformation</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:Keyword)"
                 flag="warning"
                 id="UBL-IN-248">[UBL-IN-248]-A PEF invoice Gross data should not include the InvoiceLine Item Keyword</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:BrandName)"
                 flag="warning"
                 id="UBL-IN-249">[UBL-IN-249]-A PEF invoice Gross data should not include the InvoiceLine Item BrandName</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:ModelName)"
                 flag="warning"
                 id="UBL-IN-250">[UBL-IN-250]-A PEF invoice Gross data should not include the InvoiceLine Item ModelName</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-251">[UBL-IN-251]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-252">[UBL-IN-252]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-253">[UBL-IN-253]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-254">[UBL-IN-254]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-255">[UBL-IN-255]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-256">[UBL-IN-256]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-257">[UBL-IN-257]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-258">[UBL-IN-258]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-259">[UBL-IN-259]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-260">[UBL-IN-260]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ManufacturersItemIdentification)"
                 flag="warning"
                 id="UBL-IN-261">[UBL-IN-261]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-262">[UBL-IN-262]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-263">[UBL-IN-263]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-264">[UBL-IN-264]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-265">[UBL-IN-265]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-266">[UBL-IN-266]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CatalogueItemIdentification)"
                 flag="warning"
                 id="UBL-IN-267">[UBL-IN-267]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueItemIdentification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemIdentification)"
                 flag="warning"
                 id="UBL-IN-268">[UBL-IN-268]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemIdentification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CatalogueDocumentReference)"
                 flag="warning"
                 id="UBL-IN-269">[UBL-IN-269]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueDocumentReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)"
                 flag="warning"
                 id="UBL-IN-270">[UBL-IN-270]-A PEF invoice Gross data should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)"
                 flag="warning"
                 id="UBL-IN-271">[UBL-IN-271]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification NatureCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-272">[UBL-IN-272]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-273">[UBL-IN-273]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)"
                 flag="warning"
                 id="UBL-IN-274">[UBL-IN-274]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CommodityCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:TransactionConditions)"
                 flag="warning"
                 id="UBL-IN-275">[UBL-IN-275]-A PEF invoice Gross data should not include the InvoiceLine Item TransactionConditions</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:HazardousItem)"
                 flag="warning"
                 id="UBL-IN-276">[UBL-IN-276]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousItem</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-277">[UBL-IN-277]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory Name</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-IN-278">[UBL-IN-278]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory BaseUnitMeasure</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-279">[UBL-IN-279]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory PerUnitAmount</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReasonCode)"
                 flag="warning"
                 id="UBL-IN-280">[UBL-IN-280]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReasonCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReason)"
                 flag="warning"
                 id="UBL-IN-281">[UBL-IN-281]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReason</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-IN-282">[UBL-IN-282]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRange</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-IN-283">[UBL-IN-283]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRatePercent</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-284">[UBL-IN-284]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme Name</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-IN-285">[UBL-IN-385]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-IN-286">[UBL-IN-286]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cac-pl:JurisdiccionRegionAddress)"
                 flag="warning"
                 id="UBL-IN-287">[UBL-IN-287]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme JurisdiccionRegionAddress</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-288">[UBL-IN-288]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:NameCode)"
                 flag="warning"
                 id="UBL-IN-289">[UBL-IN-289]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty NameCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:TestMethod)"
                 flag="warning"
                 id="UBL-IN-290">[UBL-IN-290]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty TestMethod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQuantity)"
                 flag="warning"
                 id="UBL-IN-291">[UBL-IN-291]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQuantity</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQualifier)"
                 flag="warning"
                 id="UBL-IN-292">[UBL-IN-292]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQualifier</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ImportanceCode)"
                 flag="warning"
                 id="UBL-IN-293">[UBL-IN-293]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ImportanceCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ListValue)"
                 flag="warning"
                 id="UBL-IN-294">[UBL-IN-294]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ListValue</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:UsabilityPeriod)"
                 flag="warning"
                 id="UBL-IN-295">[UBL-IN-295]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty UsabilityPeriod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyGroup)"
                 flag="warning"
                 id="UBL-IN-296">[UBL-IN-296]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyGroup</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:RangeDimension)"
                 flag="warning"
                 id="UBL-IN-297">[UBL-IN-297]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty RangeDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyRange)"
                 flag="warning"
                 id="UBL-IN-298">[UBL-IN-298]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyRange</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ManufacturerParty)"
                 flag="warning"
                 id="UBL-IN-299">[UBL-IN-299]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:InformationContentProviderParty)"
                 flag="warning"
                 id="UBL-IN-300">[UBL-IN-300]-A PEF invoice Gross data should not include the InvoiceLine Item InformationContentProviderParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:OriginAddress)"
                 flag="warning"
                 id="UBL-IN-301">[UBL-IN-301]-A PEF invoice Gross data should not include the InvoiceLine Item OriginAddress</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ItemInstance)"
                 flag="warning"
                 id="UBL-IN-302">[UBL-IN-302]-A PEF invoice Gross data should not include the InvoiceLine Item ItemInstance</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Certificate)"
                 flag="warning"
                 id="UBL-IN-303">[UBL-IN-303]-A PEF invoice Gross data should not include the InvoiceLine Item Certificate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Dimension)"
                 flag="warning"
                 id="UBL-IN-304">[UBL-IN-304]-A PEF invoice Gross data should not include the InvoiceLine Item Dimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceChangeReason)"
                 flag="warning"
                 id="UBL-IN-305">[UBL-IN-305]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceChangeReason</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceTypeCode)"
                 flag="warning"
                 id="UBL-IN-306">[UBL-IN-306]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceType)"
                 flag="warning"
                 id="UBL-IN-307">[UBL-IN-307]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceType</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-308">[UBL-IN-308]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-IN-309">[UBL-IN-309]-A PEF invoice Gross data should not include the InvoiceLine Item Price ValidityPeriod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceList)"
                 flag="warning"
                 id="UBL-IN-310">[UBL-IN-310]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceList</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-311">[UBL-IN-311]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-312">[UBL-IN-312]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge ID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode)"
                 flag="warning"
                 id="UBL-IN-313">[UBL-IN-313]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReasonCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason)"
                 flag="warning"
                 id="UBL-IN-314">[UBL-IN-314]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReason</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:MultiplierFactorNumeric)"
                 flag="warning"
                 id="UBL-IN-315">[UBL-IN-315]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge MultiplierFactorNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-IN-316">[UBL-IN-316]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-IN-317">[UBL-IN-317]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-318">[UBL-IN-318]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-IN-319">[UBL-IN-319]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-320">[UBL-IN-320]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-IN-321">[UBL-IN-321]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-IN-322">[UBL-IN-322]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-IN-323">[UBL-IN-323]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:PricingExchangeRate)"
                 flag="warning"
                 id="UBL-IN-324">[UBL-IN-324]-A PEF invoice Gross data should not include the InvoiceLine Item Price PricingExchangeRate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DeliveryTerms)"
                 flag="warning"
                 id="UBL-IN-325">[UBL-IN-325]-A PEF invoice Gross data should not include the InvoiceLine DeliveryTerms</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:SubInvoiceLine)"
                 flag="warning"
                 id="UBL-IN-326">[UBL-IN-326]-A PEF invoice Gross data should not include the InvoiceLine SubInvoiceLine</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:ItemPriceExtension)"
                 flag="warning"
                 id="UBL-IN-327">[UBL-IN-327]-A PEF invoice Gross data should not include the InvoiceLine ItemPriceExtension</assert>  
 
         <assert test="not(//@schemeName)" flag="warning" id="UBL-DT-08">[UBL-DT-08]-Scheme name attribute should not be present</assert>
         <assert test="not(//@schemeAgencyName)" flag="warning" id="UBL-DT-09">[UBL-DT-09]-Scheme agency name attribute should not be present</assert>
         <assert test="not(//@schemeDataURI)" flag="warning" id="UBL-DT-10">[UBL-DT-10]-Scheme data uri attribute should not be present</assert>
         <assert test="not(//@schemeURI)" flag="warning" id="UBL-DT-11">[UBL-DT-11]-Scheme uri attribute should not be present</assert>
         <assert test="not(//@format)" flag="warning" id="UBL-DT-12">[UBL-DT-12]-Format attribute should not be present</assert>
         <assert test="not(//@unitCodeListIdentifier)" flag="warning" id="UBL-DT-13">[UBL-DT-13]-Unit code list identifier attribute should not be present</assert>
         <assert test="not(//@unitCodeListAgencyIdentifier)"
                 flag="warning"
                 id="UBL-DT-14">[UBL-DT-14]-Unit code list agency identifier attribute should not be present</assert>
         <assert test="not(//@unitCodeListAgencyName)" flag="warning" id="UBL-DT-15">[UBL-DT-15]-Unit code list agency name attribute should not be present</assert>
         <assert test="not(//@listAgencyName)" flag="warning" id="UBL-DT-16">[UBL-DT-16]-List agency name attribute should not be present</assert>
         <assert test="not(//@listName)" flag="warning" id="UBL-DT-17">[UBL-DT-17]-List name attribute should not be present</assert>
         <assert test="(count(cac-pl:InvoicePeriod) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-08">[UBL-SR-08]-Invoice period shall occur maximum once</assert>
      </rule>     
 
      <rule context="//ubl:Invoice/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalAddressData">
      <assert id="UBL-IN-401" flag="warning" test="not(cac:SellerSupplierParty/cbc:CustomerAssignedAccountID)">[UBL-IN-401]-A UBL invoice should not include the SellerSupplierParty CustomerAssignedAccountID</assert>
      <assert id="UBL-IN-402" flag="warning" test="not(cac:SellerSupplierParty/cbc:AdditionalAccountID)">[UBL-IN-402]-A UBL invoice should not include the SellerSupplierParty AdditionalAccountID</assert>
      <assert id="UBL-IN-403" flag="warning" test="not(cac:SellerSupplierParty/cbc:DataSendingCapability)">[UBL-IN-403]-A UBL invoice should not include the SellerSupplierParty DataSendingCapability</assert>
      <assert id="UBL-IN-404" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cbc:MarkCareIndicator)">[UBL-IN-404]-A UBL invoice should not include the SellerSupplierParty Party MarkCareIndicator</assert>
      <assert id="UBL-IN-404a" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cbc:EndpointID)">[UBL-IN-404a]-A UBL invoice should not include the SellerSupplierParty Party MarkCareIndicator</assert>
      <assert id="UBL-IN-405" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cbc:MarkAttentionIndicator)">[UBL-IN-405]-A UBL invoice should not include the SellerSupplierParty Party MarkAttentionIndicator</assert>
      <assert id="UBL-IN-406" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cbc:WebsiteURI)">[UBL-IN-406]-A UBL invoice should not include the SellerSupplierParty Party WebsiteURI</assert>
      <assert id="UBL-IN-407" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cbc:LogoReferenceID)">[UBL-IN-407]-A UBL invoice should not include the SellerSupplierParty Party LogoReferenceID</assert>
      <assert id="UBL-IN-408" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cbc:IndustryClassificationCode)">[UBL-IN-408]-A UBL invoice should not include the SellerSupplierParty Party IndustryClassificationCode</assert>
      <assert id="UBL-IN-409" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:Language)">[UBL-IN-409]-A UBL invoice should not include the SellerSupplierParty Party Language</assert>
      <assert id="UBL-IN-410" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:ID)">[UBL-IN-410]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress ID</assert>
      <assert id="UBL-IN-411" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:AddressTypeCode)">[UBL-IN-411]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress AddressTypeCode</assert>
      <assert id="UBL-IN-412" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:AddressFormatCode)">[UBL-IN-412]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress AddressFormatCode</assert>
      <assert id="UBL-IN-413" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:Postbox)">[UBL-IN-413]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress Postbox</assert>
      <assert id="UBL-IN-414" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:Floor)">[UBL-IN-414]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress Floor</assert>
      <assert id="UBL-IN-415" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:Room)">[UBL-IN-415]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress Room</assert>
      <assert id="UBL-IN-416" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:BlockName)">[UBL-IN-416]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress BlockName</assert>
      <assert id="UBL-IN-417" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:BuildingName)">[UBL-IN-417]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress BuildingName</assert>
      <assert id="UBL-IN-418" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:BuildingNumber)">[UBL-IN-418]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress BuildingNumber</assert>
      <assert id="UBL-IN-419" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:InhouseMail)">[UBL-IN-419]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress InhouseMail</assert>
      <assert id="UBL-IN-420" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:Department)">[UBL-IN-420]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress Department</assert>
      <assert id="UBL-IN-421" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:MarkAttention)">[UBL-IN-421]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress MarkAttention</assert>
      <assert id="UBL-IN-422" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:MarkCare)">[UBL-IN-422]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress MarkCare</assert>
      <assert id="UBL-IN-423" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:PlotIdentification)">[UBL-IN-423]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress PlotIdentification</assert>
      <assert id="UBL-IN-424" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:CitySubdivisionName)">[UBL-IN-424]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress CitySubdivisionName</assert>
      <assert id="UBL-IN-425" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:CountrySubentityCode)">[UBL-IN-425]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress CountrySubentityCode</assert>
      <assert id="UBL-IN-426" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:Region)">[UBL-IN-426]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress Region</assert>
      <assert id="UBL-IN-427" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:District)">[UBL-IN-427]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress District</assert>
      <assert id="UBL-IN-428" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cbc:TimezoneOffset)">[UBL-IN-428]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress TimezoneOffset</assert>
      <assert id="UBL-IN-430" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:Name)">[UBL-IN-430]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress Country Name</assert>
      <assert id="UBL-IN-431" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PostalAddress/cac:LocationCoordinate)">[UBL-IN-431]-A UBL invoice should not include the SellerSupplierParty Party PostalAddress LocationCoordinate</assert>
      <assert id="UBL-IN-432" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PhysicalLocation)">[UBL-IN-432]-A UBL invoice should not include the SellerSupplierParty Party PhysicalLocation</assert>
      <assert id="UBL-IN-432a" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyTaxScheme)">[UBL-IN-432a]-A UBL invoice should not include the SellerSupplierParty Party PartyTaxScheme </assert>
      <assert id="UBL-IN-442" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationDate)">[UBL-IN-442]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity RegistrationDate</assert>
      <assert id="UBL-IN-443" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationExpirationDate)">[UBL-IN-443]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity RegistrationExpirationDate</assert>
      <assert id="UBL-IN-444" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalFormCode)">[UBL-IN-444]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity CompanyLegalFormCode</assert>
      <assert id="UBL-IN-445" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:SoleProprietorshipIndicator)">[UBL-IN-445]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity SoleProprietorshipIndicator</assert>
      <assert id="UBL-IN-446" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyLiquidationStatusCode)">[UBL-IN-446]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity CompanyLiquidationStatusCode</assert>
      <assert id="UBL-IN-447" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:CorporationStockAmount)">[UBL-IN-447]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity CorporationStockAmount</assert>
      <assert id="UBL-IN-448" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cbc:FullyPaidSharesIndicator)">[UBL-IN-448]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity FullyPaidSharesIndicator</assert>
      <assert id="UBL-IN-449" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress)">[UBL-IN-449]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity RegistrationAddress</assert>
      <assert id="UBL-IN-450" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cac:CorporateRegistrationScheme)">[UBL-IN-450]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity CorporateRegistrationScheme</assert>
      <assert id="UBL-IN-451" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cac:HeadOfficeParty)">[UBL-IN-451]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity HeadOfficeParty</assert>
      <assert id="UBL-IN-452" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PartyLegalEntity/cac:ShareholderParty)">[UBL-IN-452]-A UBL invoice should not include the SellerSupplierParty Party PartyLegalEntity ShareholderParty</assert>
      <assert id="UBL-IN-429" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:Contact/cbc:ID)">[UBL-IN-429]-A UBL invoice should not include the SellerSupplierParty Party Contact ID</assert>
      <assert id="UBL-IN-453" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:Contact/cbc:Telefax)">[UBL-IN-453]-A UBL invoice should not include the SellerSupplierParty Party Contact Telefax</assert>
      <assert id="UBL-IN-454" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:Contact/cbc:Note)">[UBL-IN-454]-A UBL invoice should not include the SellerSupplierParty Party Contact Note</assert>
      <assert id="UBL-IN-455" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:Contact/cac:OtherCommunication)">[UBL-IN-455]-A UBL invoice should not include the SellerSupplierParty Party Contact OtherCommunication</assert>
      <assert id="UBL-IN-456" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:Person)">[UBL-IN-456]-A UBL invoice should not include the SellerSupplierParty Party Person</assert>
      <assert id="UBL-IN-457" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:AgentParty)">[UBL-IN-457]-A UBL invoice should not include the SellerSupplierParty Party AgentParty</assert>
      <assert id="UBL-IN-458" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:ServiceProviderParty)">[UBL-IN-458]-A UBL invoice should not include the SellerSupplierParty Party ServiceProviderParty</assert>
      <assert id="UBL-IN-459" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:PowerOfAttorney)">[UBL-IN-459]-A UBL invoice should not include the SellerSupplierParty Party PowerOfAttorney</assert>
      <assert id="UBL-IN-460" flag="warning" test="not(cac:SellerSupplierParty/cac:Party/cac:FinancialAccount)">[UBL-IN-460]-A UBL invoice should not include the SellerSupplierParty Party FinancialAccount</assert>
      <assert id="UBL-IN-461" flag="warning" test="not(cac:SellerSupplierParty/cac:DespatchContact)">[UBL-IN-461]-A UBL invoice should not include the SellerSupplierParty DespatchContact</assert>
      <assert id="UBL-IN-462" flag="warning" test="not(cac:SellerSupplierParty/cac:AccountingContact)">[UBL-IN-462]-A UBL invoice should not include the SellerSupplierParty AccountingContact</assert>
      <assert id="UBL-IN-463" flag="warning" test="not(cac:SellerSupplierParty/cac:SellerContact)">[UBL-IN-463]-A UBL invoice should not include the SellerSupplierParty SellerContact</assert>
      <assert id="UBL-IN-464" flag="warning" test="not(cac:ReceiverParty/cbc:CustomerAssignedAccountID)">[UBL-IN-464]-A UBL invoice should not include the ReceiverParty CustomerAssignedAccountID</assert>
      <assert id="UBL-IN-465" flag="warning" test="not(cac:ReceiverParty/cbc:SupplierAssignedAccountID)">[UBL-IN-465]-A UBL invoice should not include the ReceiverParty SupplierAssignedAccountID</assert>
      <assert id="UBL-IN-466" flag="warning" test="not(cac:ReceiverParty/cbc:AdditionalAccountID)">[UBL-IN-466]-A UBL invoice should not include the ReceiverParty AdditionalAccountID</assert>
      <assert id="UBL-IN-467a" flag="warning" test="not(cac:ReceiverParty/cac:Party/cbc:MarkCareIndicator)">[UBL-IN-467a]-A UBL invoice should not include the ReceiverParty Party :EndpointID</assert>
      <assert id="UBL-IN-467" flag="warning" test="not(cac:ReceiverParty/cac:Party/cbc:EndpointID)">[UBL-IN-467]-A UBL invoice should not include the ReceiverParty Party MarkCareIndicator</assert>
      <assert id="UBL-IN-468" flag="warning" test="not(cac:ReceiverParty/cac:Party/cbc:MarkAttentionIndicator)">[UBL-IN-468]-A UBL invoice should not include the ReceiverParty Party MarkAttentionIndicator</assert>
      <assert id="UBL-IN-469" flag="warning" test="not(cac:ReceiverParty/cac:Party/cbc:WebsiteURI)">[UBL-IN-469]-A UBL invoice should not include the ReceiverParty Party WebsiteURI</assert>
      <assert id="UBL-IN-470" flag="warning" test="not(cac:ReceiverParty/cac:Party/cbc:LogoReferenceID)">[UBL-IN-470]-A UBL invoice should not include the ReceiverParty Party LogoReferenceID</assert>
      <assert id="UBL-IN-471" flag="warning" test="not(cac:ReceiverParty/cac:Party/cbc:IndustryClassificationCode)">[UBL-IN-471]-A UBL invoice should not include the ReceiverParty Party IndustryClassificationCode</assert>
      <assert id="UBL-IN-472" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:Language)">[UBL-IN-472]-A UBL invoice should not include the ReceiverParty Party Language</assert>
      <assert id="UBL-IN-473" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:ID)">[UBL-IN-473]-A UBL invoice should not include the ReceiverParty Party PostalAddress ID</assert>
      <assert id="UBL-IN-474" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:AddressTypeCode)">[UBL-IN-474]-A UBL invoice should not include the ReceiverParty Party PostalAddress AddressTypeCode</assert>
      <assert id="UBL-IN-475" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:AddressFormatCode)">[UBL-IN-475]-A UBL invoice should not include the ReceiverParty Party PostalAddress AddressFormatCode</assert>
      <assert id="UBL-IN-476" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:Postbox)">[UBL-IN-476]-A UBL invoice should not include the ReceiverParty Party PostalAddress Postbox</assert>
      <assert id="UBL-IN-477" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:Floor)">[UBL-IN-477]-A UBL invoice should not include the ReceiverParty Party PostalAddress Floor</assert>
      <assert id="UBL-IN-478" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:Room)">[UBL-IN-478]-A UBL invoice should not include the ReceiverParty Party PostalAddress Room</assert>
      <assert id="UBL-IN-479" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:BlockName)">[UBL-IN-479]-A UBL invoice should not include the ReceiverParty Party PostalAddress BlockName</assert>
      <assert id="UBL-IN-480" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:BuildingName)">[UBL-IN-480]-A UBL invoice should not include the ReceiverParty Party PostalAddress BuildingName</assert>
      <assert id="UBL-IN-481" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:BuildingNumber)">[UBL-IN-4181]-A UBL invoice should not include the ReceiverParty Party PostalAddress BuildingNumber</assert>
      <assert id="UBL-IN-482" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:InhouseMail)">[UBL-IN-482]-A UBL invoice should not include the ReceiverParty Party PostalAddress InhouseMail</assert>
      <assert id="UBL-IN-483" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:Department)">[UBL-IN-483]-A UBL invoice should not include the ReceiverParty Party PostalAddress Department</assert>
      <assert id="UBL-IN-484" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:MarkAttention)">[UBL-IN-484]-A UBL invoice should not include the ReceiverParty Party PostalAddress MarkAttention</assert>
      <assert id="UBL-IN-485" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:MarkCare)">[UBL-IN-485]-A UBL invoice should not include the ReceiverParty Party PostalAddress MarkCare</assert>
      <assert id="UBL-IN-486" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:PlotIdentification)">[UBL-IN-486]-A UBL invoice should not include the ReceiverParty Party PostalAddress PlotIdentification</assert>
      <assert id="UBL-IN-487" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:CitySubdivisionName)">[UBL-IN-487]-A UBL invoice should not include the ReceiverParty Party PostalAddress CitySubdivisionName</assert>
      <assert id="UBL-IN-488" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:CountrySubentityCode)">[UBL-IN-488]-A UBL invoice should not include the ReceiverParty Party PostalAddress CountrySubentityCode</assert>
      <assert id="UBL-IN-489" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:Region)">[UBL-IN-489]-A UBL invoice should not include the ReceiverParty Party PostalAddress Region</assert>
      <assert id="UBL-IN-490" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:District)">[UBL-IN-490]-A UBL invoice should not include the ReceiverParty Party PostalAddress District</assert>
      <assert id="UBL-IN-491" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cbc:TimezoneOffset)">[UBL-IN-491]-A UBL invoice should not include the ReceiverParty Party PostalAddress TimezoneOffset</assert>
      <assert id="UBL-IN-492" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cac:Country/cbc:Name)">[UBL-IN-492]-A UBL invoice should not include the ReceiverParty Party PostalAddress Country Name</assert>
      <assert id="UBL-IN-493" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PostalAddress/cac:LocationCoordinate)">[UBL-IN-493]-A UBL invoice should not include the ReceiverParty Party PostalAddress LocationCoordinate</assert>
      <assert id="UBL-IN-494" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PhysicalLocation)">[UBL-IN-494]-A UBL invoice should not include the ReceiverParty Party PhysicalLocation</assert>
      <assert id="UBL-IN-495a" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyTaxScheme)">[UBL-IN-495a]-A UBL invoice should not include the ReceiverParty Party PartyTaxScheme </assert>
      <assert id="UBL-IN-504" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationDate)">[UBL-IN-504]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity RegistrationDate</assert>
      <assert id="UBL-IN-505" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:RegistrationExpirationDate)">[UBL-IN-505]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity RegistrationExpirationDate</assert>
      <assert id="UBL-IN-506" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalFormCode)">[UBL-IN-506]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity CompanyLegalFormCode</assert>
      <assert id="UBL-IN-507" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyLegalForm)">[UBL-IN-5507]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity CompanyLegalForm</assert>
      <assert id="UBL-IN-508" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:SoleProprietorshipIndicator)">[UBL-IN-508]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity SoleProprietorshipIndicator</assert>
      <assert id="UBL-IN-509" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CompanyLiquidationStatusCode)">[UBL-IN-5508]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity CompanyLiquidationStatusCode</assert>
      <assert id="UBL-IN-510" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:CorporationStockAmount)">[UBL-IN-510]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity CorporationStockAmount</assert>
      <assert id="UBL-IN-511" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cbc:FullyPaidSharesIndicator)">[UBL-IN-511]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity FullyPaidSharesIndicator</assert>
      <assert id="UBL-IN-512" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cac:RegistrationAddress)">[UBL-IN-512]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity RegistrationAddress</assert>
      <assert id="UBL-IN-513" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cac:CorporateRegistrationScheme)">[UBL-IN-513]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity CorporateRegistrationScheme</assert>
      <assert id="UBL-IN-514" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cac:HeadOfficeParty)">[UBL-IN-514]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity HeadOfficeParty</assert>
      <assert id="UBL-IN-515" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PartyLegalEntity/cac:ShareholderParty)">[UBL-IN-515]-A UBL invoice should not include the ReceiverParty Party PartyLegalEntity ShareholderParty</assert>
      <assert id="UBL-IN-516" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:Contact/cbc:ID)">[UBL-IN-516]-A UBL invoice should not include the ReceiverParty Party Contact ID</assert>
      <assert id="UBL-IN-517" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:Contact/cbc:Telefax)">[UBL-IN-517]-A UBL invoice should not include the ReceiverParty Party Contact Telefax</assert>
      <assert id="UBL-IN-518" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:Contact/cbc:Note)">[UBL-IN-518]-A UBL invoice should not include the ReceiverParty Party Contact Note</assert>
      <assert id="UBL-IN-519" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:Contact/cac:OtherCommunication)">[UBL-IN-519]-A UBL invoice should not include the ReceiverParty Party Contact OtherCommunication</assert>
      <assert id="UBL-IN-520" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:Person)">[UBL-IN-520]-A UBL invoice should not include the ReceiverParty Party Person</assert>
      <assert id="UBL-IN-521" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:AgentParty)">[UBL-IN-521]-A UBL invoice should not include the ReceiverParty Party AgentParty</assert>
      <assert id="UBL-IN-522" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:ServiceProviderParty)">[UBL-IN-522]-A UBL invoice should not include the ReceiverParty Party ServiceProviderParty</assert>
      <assert id="UBL-IN-523" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:PowerOfAttorney)">[UBL-IN-523]-A UBL invoice should not include the ReceiverParty Party PowerOfAttorney</assert>
      <assert id="UBL-IN-524" flag="warning" test="not(cac:ReceiverParty/cac:Party/cac:FinancialAccount)">[UBL-IN-524]-A UBL invoice should not include the ReceiverParty Party FinancialAccount</assert>
      <assert id="UBL-IN-525" flag="warning" test="not(cac:ReceiverParty/cac:DeliveryContact)">[UBL-IN-525]-A UBL invoice should not include the ReceiverParty DeliveryContact</assert>
      <assert id="UBL-IN-526" flag="warning" test="not(cac:ReceiverParty/cac:AccountingContact)">[UBL-IN-526]-A UBL invoice should not include the ReceiverParty AccountingContact</assert>
      <assert id="UBL-IN-527" flag="warning" test="not(cac:ReceiverParty/cac:BuyerContact)">[UBL-IN-527]-A UBL invoice should not include the ReceiverParty BuyerContact</assert>
      </rule>   
            
      <rule context="//ubl:Invoice/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceDataNetto/cac-pl:InvoiceLine">
         <assert test="if(cbc-pl:UUID) then false() else true()"
				 flag="warning" 
				 id="UBL-IN-600">[UBL-IN-600]-A PEF invoice Gross data should not include the InvoiceLine UUID</assert>
         <assert test="if(cbc-pl:InvoiceedQuantity) then false() else true()"
                 flag="warning"
                 id="UBL-IN-601">[UBL-IN-601]-A PEF invoice Gross data should not include the InvoiceLine InvoiceedQuantity</assert>
         <assert test="not(cbc-pl:TaxPointDate)"
                 flag="warning"
                 id="UBL-IN-602">[UBL-IN-602]-A PEF invoice Gross data should not include the InvoiceLine TaxPointDate</assert>
         <assert test="not(cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-603">[UBL-IN-603]-A PEF invoice Gross data should not include the InvoiceLine AccountingCostCode</assert>
         <assert test="not(cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-IN-604">[UBL-IN-604]-A PEF invoice Gross data should not include the InvoiceLine PaymentPurposeCode</assert>
         <assert test="not(cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-IN-605">[UBL-IN-605]-A PEF invoice Gross data should not include the InvoiceLine FreeOfChargeIndicator</assert>
         <assert test="not(cac-pl:OrderLineReference)"
                 flag="warning"
                 id="UBL-IN-606">[UBL-IN-606]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference</assert>
         <assert test="not(cac-pl:InvoicePeriod)"
                 flag="warning"
                 id="UBL-IN-607">[UBL-IN-607]-A PEF invoice Gross data should not include the InvoiceLine InvoicePeriod)</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DespatchLineReference)"
                 flag="warning"
                 id="UBL-IN-608">[UBL-IN-608]-A PEF invoice Gross data should not include the InvoiceLine DespatchLineReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:ReceiptLineReference)"
                 flag="warning"
                 id="UBL-IN-609">[UBL-IN-609]-A PEF invoice Gross data should not include the InvoiceLine ReceiptLineReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:BillingReference)"
                 flag="warning"
                 id="UBL-IN-610">[UBL-IN-610]-A PEF invoice Gross data should not include the InvoiceLine BillingReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference)"
                 flag="warning"
                 id="UBL-IN-611">[UBL-IN-611]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:PricingReference)"
                 flag="warning"
                 id="UBL-IN-612">[UBL-IN-612]-A PEF invoice Gross data should not include the InvoiceLine PricingReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:OriginatorParty)"
                 flag="warning"
                 id="UBL-IN-613">[UBL-IN-613]-A PEF invoice Gross data should not include the InvoiceLine OriginatorParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Delivery)"
                 flag="warning"
                 id="UBL-IN-614">[UBL-IN-614]-A PEF invoice Gross data should not include the InvoiceLine Delivery</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:PaymentTerms)"
                 flag="warning"
                 id="UBL-IN-615">[UBL-IN-615]-A PEF invoice Gross data should not include the InvoiceLine PaymentTerms</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge)"
                 flag="warning"
                 id="UBL-IN-616">[UBL-IN-616]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:PackQuantity)"
                 flag="warning"
                 id="UBL-IN-617">[UBL-IN-617]-A PEF invoice Gross data should not include the InvoiceLine Item PackQuantity</assert>
         <assert test="not(cac-pl:Item/cbc-pl:PackSizeNumeric)"
                 flag="warning"
                 id="UBL-IN-618">[UBL-IN-618]-A PEF invoice Gross data should not include the InvoiceLine Item PackSizeNumeric</assert>
         <assert test="not(cac-pl:Item/cbc-pl:CatalogueIndicator)"
                 flag="warning"
                 id="UBL-IN-619">[UBL-IN-619]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueIndicator</assert>
         <assert test="not(cac-pl:Item/cbc-pl:HazardousRiskIndicator)"
                 flag="warning"
                 id="UBL-IN-6120">[UBL-IN-620]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousRiskIndicator</assert>
         <assert test="not(cac-pl:Item/cbc-pl:AdditionalInformation)"
                 flag="warning"
                 id="UBL-IN-621">[UBL-IN-621]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalInformation</assert>
         <assert test="not(cac-pl:Item/cbc-pl:Keyword)"
                 flag="warning"
                 id="UBL-IN-622">[UBL-IN-622]-A PEF invoice Gross data should not include the InvoiceLine Item Keyword</assert>
         <assert test="not(cac-pl:Item/cbc-pl:BrandName)"
                 flag="warning"
                 id="UBL-IN-623">[UBL-IN-623]-A PEF invoice Gross data should not include the InvoiceLine Item BrandName</assert>
         <assert test="not(cac-pl:Item/cbc-pl:ModelName)"
                 flag="warning"
                 id="UBL-IN-624">[UBL-IN-624]-A PEF invoice Gross data should not include the InvoiceLine Item ModelName</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-625">[UBL-IN-625]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-626">[UBL-IN-626]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-627">[UBL-IN-627]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-628">[UBL-IN-628]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-629">[UBL-IN-629]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-630">[UBL-IN-630]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-631">[UBL-IN-631]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-632">[UBL-IN-632]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-633">[UBL-IN-633]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-634">[UBL-IN-634]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:ManufacturersItemIdentification)"
                 flag="warning"
                 id="UBL-IN-635">[UBL-IN-635]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-636">[UBL-IN-636]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-637">[UBL-IN-637]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-638">[UBL-IN-638]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-639">[UBL-IN-639]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-640">[UBL-IN-640]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:CatalogueItemIdentification)"
                 flag="warning"
                 id="UBL-IN-641">[UBL-IN-641]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueItemIdentification</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemIdentification)"
                 flag="warning"
                 id="UBL-IN-642">[UBL-IN-642]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemIdentification</assert>
         <assert test="not(cac-pl:Item/cac-pl:CatalogueDocumentReference)"
                 flag="warning"
                 id="UBL-IN-643">[UBL-IN-643]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueDocumentReference</assert>
         <assert test="not(cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)"
                 flag="warning"
                 id="UBL-IN-644">[UBL-IN-644]-A PEF invoice Gross data should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)"
                 flag="warning"
                 id="UBL-IN-645">[UBL-IN-645]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification NatureCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-646">[UBL-IN-646]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-647">[UBL-IN-647]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)"
                 flag="warning"
                 id="UBL-IN-648">[UBL-IN-648]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CommodityCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:TransactionConditions)"
                 flag="warning"
                 id="UBL-IN-649">[UBL-IN-649]-A PEF invoice Gross data should not include the InvoiceLine Item TransactionConditions</assert>
         <assert test="not(cac-pl:Item/cac-pl:HazardousItem)"
                 flag="warning"
                 id="UBL-IN-650 ">[UBL-IN-650]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousItem</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-651">[UBL-IN-651]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory Name</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-IN-652">[UBL-IN-652]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory BaseUnitMeasure</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-653">[UBL-IN-653]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory PerUnitAmount</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReasonCode)"
                 flag="warning"
                 id="UBL-IN-654">[UBL-IN-654]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReasonCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReason)"
                 flag="warning"
                 id="UBL-IN-655">[UBL-IN-655]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReason</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-IN-656">[UBL-IN-656]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRange</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-IN-657">[UBL-IN-657]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRatePercent</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-658">[UBL-IN-658]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme Name</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-IN-659">[UBL-IN-659]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-IN-660">[UBL-IN-660]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cac-pl:JurisdiccionRegionAddress)"
                 flag="warning"
                 id="UBL-IN-661">[UBL-IN-661]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme JurisdiccionRegionAddress</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-662">[UBL-IN-662]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ID</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:NameCode)"
                 flag="warning"
                 id="UBL-IN-663">[UBL-IN-663]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty NameCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:TestMethod)"
                 flag="warning"
                 id="UBL-IN-664">[UBL-IN-664]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty TestMethod</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQuantity)"
                 flag="warning"
                 id="UBL-IN-665">[UBL-IN-665]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQuantity</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQualifier)"
                 flag="warning"
                 id="UBL-IN-666">[UBL-IN-666]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQualifier</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ImportanceCode)"
                 flag="warning"
                 id="UBL-IN-667">[UBL-IN-667]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ImportanceCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ListValue)"
                 flag="warning"
                 id="UBL-IN-668">[UBL-IN-668]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ListValue</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:UsabilityPeriod)"
                 flag="warning"
                 id="UBL-IN-669">[UBL-IN-669]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty UsabilityPeriod</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyGroup)"
                 flag="warning"
                 id="UBL-IN-670">[UBL-IN-670]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyGroup</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:RangeDimension)"
                 flag="warning"
                 id="UBL-IN-671">[UBL-IN-671]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty RangeDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyRange)"
                 flag="warning"
                 id="UBL-IN-672">[UBL-IN-672]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyRange</assert>
         <assert test="not(cac-pl:Item/cac-pl:ManufacturerParty)"
                 flag="warning"
                 id="UBL-IN-673">[UBL-IN-673]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:InformationContentProviderParty)"
                 flag="warning"
                 id="UBL-IN-674">[UBL-IN-674]-A PEF invoice Gross data should not include the InvoiceLine Item InformationContentProviderParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:OriginAddress)"
                 flag="warning"
                 id="UBL-IN-675">[UBL-IN-675]-A PEF invoice Gross data should not include the InvoiceLine Item OriginAddress</assert>
         <assert test="not(cac-pl:Item/cac-pl:ItemInstance)"
                 flag="warning"
                 id="UBL-IN-676">[UBL-IN-676]-A PEF invoice Gross data should not include the InvoiceLine Item ItemInstance</assert>
         <assert test="not(cac-pl:Item/cac-pl:Certificate)"
                 flag="warning"
                 id="UBL-IN-677">[UBL-IN-677]-A PEF invoice Gross data should not include the InvoiceLine Item Certificate</assert>
         <assert test="not(cac-pl:Item/cac-pl:Dimension)"
                 flag="warning"
                 id="UBL-IN-678">[UBL-IN-678]-A PEF invoice Gross data should not include the InvoiceLine Item Dimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceChangeReason)"
                 flag="warning"
                 id="UBL-IN-679">[UBL-IN-679]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceChangeReason</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceTypeCode)"
                 flag="warning"
                 id="UBL-IN-680">[UBL-IN-680]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceType)"
                 flag="warning"
                 id="UBL-IN-681">[UBL-IN-681]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceType</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-682">[UBL-IN-682]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-IN-683">[UBL-IN-683]-A PEF invoice Gross data should not include the InvoiceLine Item Price ValidityPeriod</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceList)"
                 flag="warning"
                 id="UBL-IN-684">[UBL-IN-684]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceList</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-685">[UBL-IN-685]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-686">[UBL-IN-686]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge ID</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode)"
                 flag="warning"
                 id="UBL-IN-687">[UBL-IN-687]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReasonCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason)"
                 flag="warning"
                 id="UBL-IN-689">[UBL-IN-689]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReason</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:MultiplierFactorNumeric)"
                 flag="warning"
                 id="UBL-IN-690">[UBL-IN-690]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge MultiplierFactorNumeric</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-IN-691">[UBL-IN-691]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-IN-692">[UBL-IN-692]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-693">[UBL-IN-693]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-IN-694">[UBL-IN-694]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-695">[UBL-IN-695]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-IN-696">[UBL-IN-696]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-IN-697">[UBL-IN-697]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-IN-698">[UBL-IN-698]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:PricingExchangeRate)"
                 flag="warning"
                 id="UBL-IN-699">[UBL-IN-699]-A PEF invoice Gross data should not include the InvoiceLine Item Price PricingExchangeRate</assert>
         <assert test="not(cac-pl:DeliveryTerms)"
                 flag="warning"
                 id="UBL-IN-700">[UBL-IN-700]-A PEF invoice Gross data should not include the InvoiceLine DeliveryTerms</assert>
         <assert test="not(cac-pl:ItemPriceExtension)"
                 flag="warning"
                 id="UBL-IN-702">[UBL-IN-702]-A PEF invoice Gross data should not include the InvoiceLine ItemPriceExtension</assert>  
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:UUID)" 
				 flag="warning" 
				 id="UBL-IN-703">[UBL-IN-703]-A PEF invoice Gross data should not include the InvoiceLine UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:TaxPointDate)"
                 flag="warning"
                 id="UBL-IN-704">[UBL-IN-704]-A PEF invoice Gross data should not include the InvoiceLine TaxPointDate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-705">[UBL-IN-705]-A PEF invoice Gross data should not include the InvoiceLine AccountingCostCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-IN-706">[UBL-IN-706]-A PEF invoice Gross data should not include the InvoiceLine PaymentPurposeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-IN-707">[UBL-IN-707]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:SalesOrderLineID)"
                 flag="warning"
                 id="UBL-IN-708">[UBL-IN-708]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference SalesOrderLineID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-IN-709">[UBL-IN-709]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:LineStatusCode)"
                 flag="warning"
                 id="UBL-IN-710">[UBL-IN-710]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference LineStatusCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:OrderReference)"
                 flag="warning"
                 id="UBL-IN-711">[UBL-IN-711]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference OrderReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DespatchLineReference)"
                 flag="warning"
                 id="UBL-IN-712">[UBL-IN-712]-A PEF invoice Gross data should not include the InvoiceLine DespatchLineReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:ReceiptLineReference)"
                 flag="warning"
                 id="UBL-IN-713">[UBL-IN-713]-A PEF invoice Gross data should not include the InvoiceLine ReceiptLineReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:BillingReference)"
                 flag="warning"
                 id="UBL-IN-714">[UBL-IN-714]-A PEF invoice Gross data should not include the InvoiceLine BillingReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-IN-715">[UBL-IN-715]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference CopyIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-IN-716">[UBL-IN-716]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-IN-717">[UBL-IN-717]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference IssueDate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-IN-718">[UBL-IN-718]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference IssueTime</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-IN-719">[UBL-IN-719]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference DocumentType</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-IN-720">[UBL-IN-720]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference Xpath</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-IN-721">[UBL-IN-721]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference LanguageID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-IN-722">[UBL-IN-722]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference LocaleCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-IN-723">[UBL-IN-723]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference VersionID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-IN-724">[UBL-IN-724]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentDescription)"
                 flag="warning"
                 id="UBL-IN-725">[UBL-IN-725]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference DocumentDescription</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:Attachment)"
                 flag="warning"
                 id="UBL-IN-726">[UBL-IN-726]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference Attachment</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-IN-727">[UBL-IN-727]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference ValidityPeriod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-728">[UBL-IN-728]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-IN-729">[UBL-IN-729]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference ResultOfVerification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:PricingReference)"
                 flag="warning"
                 id="UBL-IN-730">[UBL-IN-730]-A PEF invoice Gross data should not include the InvoiceLine PricingReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OriginatorParty)"
                 flag="warning"
                 id="UBL-IN-731">[UBL-IN-731]-A PEF invoice Gross data should not include the InvoiceLine OriginatorParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Delivery)"
                 flag="warning"
                 id="UBL-IN-732">[UBL-IN-732]-A PEF invoice Gross data should not include the InvoiceLine Delivery</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:PaymentTerms)"
                 flag="warning"
                 id="UBL-IN-733">[UBL-IN-733]-A PEF invoice Gross data should not include the InvoiceLine PaymentTerms</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-734">[UBL-IN-734]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge ID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-IN-735">[UBL-IN-735]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-IN-736">[UBL-IN-736]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-737">[UBL-IN-737]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-IN-738">[UBL-IN-738]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-739">[UBL-IN-739]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-IN-740">[UBL-IN-740]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-IN-741">[UBL-IN-741]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-IN-742">[UBL-IN-742]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:PackQuantity)"
                 flag="warning"
                 id="UBL-IN-743">[UBL-IN-743]-A PEF invoice Gross data should not include the InvoiceLine Item PackQuantity</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:PackSizeNumeric)"
                 flag="warning"
                 id="UBL-IN-744">[UBL-IN-744]-A PEF invoice Gross data should not include the InvoiceLine Item PackSizeNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:CatalogueIndicator)"
                 flag="warning"
                 id="UBL-IN-745">[UBL-IN-745]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:HazardousRiskIndicator)"
                 flag="warning"
                 id="UBL-IN-746">[UBL-IN-746]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousRiskIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:AdditionalInformation)"
                 flag="warning"
                 id="UBL-IN-747">[UBL-IN-747]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalInformation</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:Keyword)"
                 flag="warning"
                 id="UBL-IN-748">[UBL-IN-748]-A PEF invoice Gross data should not include the InvoiceLine Item Keyword</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:BrandName)"
                 flag="warning"
                 id="UBL-IN-749">[UBL-IN-749]-A PEF invoice Gross data should not include the InvoiceLine Item BrandName</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:ModelName)"
                 flag="warning"
                 id="UBL-IN-750">[UBL-IN-750]-A PEF invoice Gross data should not include the InvoiceLine Item ModelName</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-751">[UBL-IN-751]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-752">[UBL-IN-752]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-753">[UBL-IN-753]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-754">[UBL-IN-754]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-755">[UBL-IN-755]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-756">[UBL-IN-756]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-757">[UBL-IN-757]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-758">[UBL-IN-758]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-759">[UBL-IN-759]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-760">[UBL-IN-760]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ManufacturersItemIdentification)"
                 flag="warning"
                 id="UBL-IN-761">[UBL-IN-761]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-762">[UBL-IN-762]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-763">[UBL-IN-763]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-764">[UBL-IN-764]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-765">[UBL-IN-765]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-766">[UBL-IN-766]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CatalogueItemIdentification)"
                 flag="warning"
                 id="UBL-IN-767">[UBL-IN-767]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueItemIdentification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemIdentification)"
                 flag="warning"
                 id="UBL-IN-768">[UBL-IN-768]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemIdentification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CatalogueDocumentReference)"
                 flag="warning"
                 id="UBL-IN-769">[UBL-IN-769]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueDocumentReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)"
                 flag="warning"
                 id="UBL-IN-770">[UBL-IN-770]-A PEF invoice Gross data should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)"
                 flag="warning"
                 id="UBL-IN-771">[UBL-IN-771]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification NatureCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-772">[UBL-IN-772]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-773">[UBL-IN-773]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)"
                 flag="warning"
                 id="UBL-IN-774">[UBL-IN-774]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CommodityCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:TransactionConditions)"
                 flag="warning"
                 id="UBL-IN-775">[UBL-IN-775]-A PEF invoice Gross data should not include the InvoiceLine Item TransactionConditions</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:HazardousItem)"
                 flag="warning"
                 id="UBL-IN-776">[UBL-IN-776]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousItem</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-777">[UBL-IN-777]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory Name</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-IN-778">[UBL-IN-778]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory BaseUnitMeasure</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-779">[UBL-IN-779]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory PerUnitAmount</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReasonCode)"
                 flag="warning"
                 id="UBL-IN-780">[UBL-IN-780]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReasonCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReason)"
                 flag="warning"
                 id="UBL-IN-781">[UBL-IN-781]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReason</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-IN-782">[UBL-IN-782]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRange</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-IN-783">[UBL-IN-783]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRatePercent</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-784">[UBL-IN-784]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme Name</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-IN-785">[UBL-IN-885]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-IN-786">[UBL-IN-786]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cac-pl:JurisdiccionRegionAddress)"
                 flag="warning"
                 id="UBL-IN-787">[UBL-IN-787]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme JurisdiccionRegionAddress</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-788">[UBL-IN-788]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:NameCode)"
                 flag="warning"
                 id="UBL-IN-789">[UBL-IN-789]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty NameCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:TestMethod)"
                 flag="warning"
                 id="UBL-IN-790">[UBL-IN-790]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty TestMethod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQuantity)"
                 flag="warning"
                 id="UBL-IN-791">[UBL-IN-791]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQuantity</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQualifier)"
                 flag="warning"
                 id="UBL-IN-792">[UBL-IN-792]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQualifier</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ImportanceCode)"
                 flag="warning"
                 id="UBL-IN-793">[UBL-IN-793]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ImportanceCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ListValue)"
                 flag="warning"
                 id="UBL-IN-794">[UBL-IN-794]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ListValue</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:UsabilityPeriod)"
                 flag="warning"
                 id="UBL-IN-795">[UBL-IN-795]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty UsabilityPeriod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyGroup)"
                 flag="warning"
                 id="UBL-IN-796">[UBL-IN-796]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyGroup</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:RangeDimension)"
                 flag="warning"
                 id="UBL-IN-797">[UBL-IN-797]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty RangeDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyRange)"
                 flag="warning"
                 id="UBL-IN-798">[UBL-IN-798]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyRange</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ManufacturerParty)"
                 flag="warning"
                 id="UBL-IN-799">[UBL-IN-799]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:InformationContentProviderParty)"
                 flag="warning"
                 id="UBL-IN-800">[UBL-IN-800]-A PEF invoice Gross data should not include the InvoiceLine Item InformationContentProviderParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:OriginAddress)"
                 flag="warning"
                 id="UBL-IN-801">[UBL-IN-801]-A PEF invoice Gross data should not include the InvoiceLine Item OriginAddress</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ItemInstance)"
                 flag="warning"
                 id="UBL-IN-802">[UBL-IN-802]-A PEF invoice Gross data should not include the InvoiceLine Item ItemInstance</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Certificate)"
                 flag="warning"
                 id="UBL-IN-803">[UBL-IN-803]-A PEF invoice Gross data should not include the InvoiceLine Item Certificate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Dimension)"
                 flag="warning"
                 id="UBL-IN-804">[UBL-IN-804]-A PEF invoice Gross data should not include the InvoiceLine Item Dimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceChangeReason)"
                 flag="warning"
                 id="UBL-IN-805">[UBL-IN-805]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceChangeReason</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceTypeCode)"
                 flag="warning"
                 id="UBL-IN-806">[UBL-IN-806]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceType)"
                 flag="warning"
                 id="UBL-IN-807">[UBL-IN-807]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceType</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-808">[UBL-IN-808]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-IN-809">[UBL-IN-809]-A PEF invoice Gross data should not include the InvoiceLine Item Price ValidityPeriod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceList)"
                 flag="warning"
                 id="UBL-IN-810">[UBL-IN-810]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceList</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-811">[UBL-IN-811]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-812">[UBL-IN-812]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge ID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode)"
                 flag="warning"
                 id="UBL-IN-813">[UBL-IN-813]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReasonCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason)"
                 flag="warning"
                 id="UBL-IN-814">[UBL-IN-814]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReason</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:MultiplierFactorNumeric)"
                 flag="warning"
                 id="UBL-IN-815">[UBL-IN-815]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge MultiplierFactorNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-IN-816">[UBL-IN-816]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-IN-817">[UBL-IN-817]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-818">[UBL-IN-818]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-IN-819">[UBL-IN-819]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-820">[UBL-IN-820]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-IN-821">[UBL-IN-821]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-IN-822">[UBL-IN-822]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-IN-823">[UBL-IN-823]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:PricingExchangeRate)"
                 flag="warning"
                 id="UBL-IN-824">[UBL-IN-824]-A PEF invoice Gross data should not include the InvoiceLine Item Price PricingExchangeRate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DeliveryTerms)"
                 flag="warning"
                 id="UBL-IN-825">[UBL-IN-825]-A PEF invoice Gross data should not include the InvoiceLine DeliveryTerms</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:SubInvoiceLine)"
                 flag="warning"
                 id="UBL-IN-826">[UBL-IN-826]-A PEF invoice Gross data should not include the InvoiceLine SubInvoiceLine</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:ItemPriceExtension)"
                 flag="warning"
                 id="UBL-IN-827">[UBL-IN-827]-A PEF invoice Gross data should not include the InvoiceLine ItemPriceExtension</assert>  
 
         <assert test="not(//@schemeName)" flag="warning" id="UBL-DT-08">[UBL-DT-08]-Scheme name attribute should not be present</assert>
         <assert test="not(//@schemeAgencyName)" flag="warning" id="UBL-DT-09">[UBL-DT-09]-Scheme agency name attribute should not be present</assert>
         <assert test="not(//@schemeDataURI)" flag="warning" id="UBL-DT-10">[UBL-DT-10]-Scheme data uri attribute should not be present</assert>
         <assert test="not(//@schemeURI)" flag="warning" id="UBL-DT-11">[UBL-DT-11]-Scheme uri attribute should not be present</assert>
         <assert test="not(//@format)" flag="warning" id="UBL-DT-12">[UBL-DT-12]-Format attribute should not be present</assert>
         <assert test="not(//@unitCodeListIdentifier)" flag="warning" id="UBL-DT-13">[UBL-DT-13]-Unit code list identifier attribute should not be present</assert>
         <assert test="not(//@unitCodeListAgencyIdentifier)"
                 flag="warning"
                 id="UBL-DT-14">[UBL-DT-14]-Unit code list agency identifier attribute should not be present</assert>
         <assert test="not(//@unitCodeListAgencyName)" flag="warning" id="UBL-DT-15">[UBL-DT-15]-Unit code list agency name attribute should not be present</assert>
         <assert test="not(//@listAgencyName)" flag="warning" id="UBL-DT-16">[UBL-DT-16]-List agency name attribute should not be present</assert>
         <assert test="not(//@listName)" flag="warning" id="UBL-DT-17">[UBL-DT-17]-List name attribute should not be present</assert>
         <assert test="(count(cac-pl:InvoicePeriod) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-08">[UBL-SR-08]-Invoice period shall occur maximum once</assert>
      </rule>     
      

      <rule context="//ubl:Invoice/ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:AdditionalInvoiceDataNetto/cac-pl:InvoiceLine">
         <assert test="if(cbc-pl:UUID) then false() else true()"
				 flag="warning" 
				 id="UBL-IN-400">[UBL-IN-400]-A PEF invoice Gross data should not include the InvoiceLine UUID</assert>
         <assert test="if(cbc-pl:InvoiceedQuantity) then false() else true()"
                 flag="warning"
                 id="UBL-IN-401">[UBL-IN-401]-A PEF invoice Gross data should not include the InvoiceLine InvoiceedQuantity</assert>
         <assert test="not(cbc-pl:TaxPointDate)"
                 flag="warning"
                 id="UBL-IN-402">[UBL-IN-402]-A PEF invoice Gross data should not include the InvoiceLine TaxPointDate</assert>
         <assert test="not(cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-403">[UBL-IN-403]-A PEF invoice Gross data should not include the InvoiceLine AccountingCostCode</assert>
         <assert test="not(cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-IN-404">[UBL-IN-404]-A PEF invoice Gross data should not include the InvoiceLine PaymentPurposeCode</assert>
         <assert test="not(cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-IN-405">[UBL-IN-405]-A PEF invoice Gross data should not include the InvoiceLine FreeOfChargeIndicator</assert>
         <assert test="not(cac-pl:OrderLineReference)"
                 flag="warning"
                 id="UBL-IN-406">[UBL-IN-406]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference</assert>
         <assert test="not(cac-pl:InvoicePeriod)"
                 flag="warning"
                 id="UBL-IN-407">[UBL-IN-407]-A PEF invoice Gross data should not include the InvoiceLine InvoicePeriod)</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DespatchLineReference)"
                 flag="warning"
                 id="UBL-IN-408">[UBL-IN-408]-A PEF invoice Gross data should not include the InvoiceLine DespatchLineReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:ReceiptLineReference)"
                 flag="warning"
                 id="UBL-IN-409">[UBL-IN-409]-A PEF invoice Gross data should not include the InvoiceLine ReceiptLineReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:BillingReference)"
                 flag="warning"
                 id="UBL-IN-410">[UBL-IN-410]-A PEF invoice Gross data should not include the InvoiceLine BillingReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:DocumentReference)"
                 flag="warning"
                 id="UBL-IN-411">[UBL-IN-411]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:PricingReference)"
                 flag="warning"
                 id="UBL-IN-412">[UBL-IN-412]-A PEF invoice Gross data should not include the InvoiceLine PricingReference</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:OriginatorParty)"
                 flag="warning"
                 id="UBL-IN-413">[UBL-IN-413]-A PEF invoice Gross data should not include the InvoiceLine OriginatorParty</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Delivery)"
                 flag="warning"
                 id="UBL-IN-414">[UBL-IN-414]-A PEF invoice Gross data should not include the InvoiceLine Delivery</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:PaymentTerms)"
                 flag="warning"
                 id="UBL-IN-415">[UBL-IN-415]-A PEF invoice Gross data should not include the InvoiceLine PaymentTerms</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:AllowanceCharge)"
                 flag="warning"
                 id="UBL-IN-416">[UBL-IN-416]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge</assert>
         <assert test="not(cac-pl:InvoiceLine/cac-pl:Item/cbc-pl:PackQuantity)"
                 flag="warning"
                 id="UBL-IN-417">[UBL-IN-417]-A PEF invoice Gross data should not include the InvoiceLine Item PackQuantity</assert>
         <assert test="not(cac-pl:Item/cbc-pl:PackSizeNumeric)"
                 flag="warning"
                 id="UBL-IN-418">[UBL-IN-418]-A PEF invoice Gross data should not include the InvoiceLine Item PackSizeNumeric</assert>
         <assert test="not(cac-pl:Item/cbc-pl:CatalogueIndicator)"
                 flag="warning"
                 id="UBL-IN-419">[UBL-IN-419]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueIndicator</assert>
         <assert test="not(cac-pl:Item/cbc-pl:HazardousRiskIndicator)"
                 flag="warning"
                 id="UBL-IN-4120">[UBL-IN-420]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousRiskIndicator</assert>
         <assert test="not(cac-pl:Item/cbc-pl:AdditionalInformation)"
                 flag="warning"
                 id="UBL-IN-421">[UBL-IN-421]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalInformation</assert>
         <assert test="not(cac-pl:Item/cbc-pl:Keyword)"
                 flag="warning"
                 id="UBL-IN-422">[UBL-IN-422]-A PEF invoice Gross data should not include the InvoiceLine Item Keyword</assert>
         <assert test="not(cac-pl:Item/cbc-pl:BrandName)"
                 flag="warning"
                 id="UBL-IN-423">[UBL-IN-423]-A PEF invoice Gross data should not include the InvoiceLine Item BrandName</assert>
         <assert test="not(cac-pl:Item/cbc-pl:ModelName)"
                 flag="warning"
                 id="UBL-IN-424">[UBL-IN-424]-A PEF invoice Gross data should not include the InvoiceLine Item ModelName</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-425">[UBL-IN-425]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-426">[UBL-IN-426]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-427">[UBL-IN-427]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-428">[UBL-IN-428]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-429">[UBL-IN-429]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-430">[UBL-IN-430]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-431">[UBL-IN-431]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-432">[UBL-IN-432]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-433">[UBL-IN-433]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-434">[UBL-IN-434]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:ManufacturersItemIdentification)"
                 flag="warning"
                 id="UBL-IN-435">[UBL-IN-435]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-436">[UBL-IN-436]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-437">[UBL-IN-437]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-438">[UBL-IN-438]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-439">[UBL-IN-439]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-440">[UBL-IN-440]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:CatalogueItemIdentification)"
                 flag="warning"
                 id="UBL-IN-441">[UBL-IN-441]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueItemIdentification</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemIdentification)"
                 flag="warning"
                 id="UBL-IN-442">[UBL-IN-442]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemIdentification</assert>
         <assert test="not(cac-pl:Item/cac-pl:CatalogueDocumentReference)"
                 flag="warning"
                 id="UBL-IN-443">[UBL-IN-443]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueDocumentReference</assert>
         <assert test="not(cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)"
                 flag="warning"
                 id="UBL-IN-444">[UBL-IN-444]-A PEF invoice Gross data should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)"
                 flag="warning"
                 id="UBL-IN-445">[UBL-IN-445]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification NatureCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-446">[UBL-IN-446]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-447">[UBL-IN-447]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)"
                 flag="warning"
                 id="UBL-IN-448">[UBL-IN-448]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CommodityCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:TransactionConditions)"
                 flag="warning"
                 id="UBL-IN-449">[UBL-IN-449]-A PEF invoice Gross data should not include the InvoiceLine Item TransactionConditions</assert>
         <assert test="not(cac-pl:Item/cac-pl:HazardousItem)"
                 flag="warning"
                 id="UBL-IN-450">[UBL-IN-450]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousItem</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-451">[UBL-IN-451]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory Name</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-IN-452">[UBL-IN-452]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory BaseUnitMeasure</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-453">[UBL-IN-453]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory PerUnitAmount</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReasonCode)"
                 flag="warning"
                 id="UBL-IN-454">[UBL-IN-454]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReasonCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReason)"
                 flag="warning"
                 id="UBL-IN-455">[UBL-IN-455]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReason</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-IN-456">[UBL-IN-456]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRange</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-IN-457">[UBL-IN-457]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRatePercent</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-458">[UBL-IN-458]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme Name</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-IN-459">[UBL-IN-459]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-IN-460">[UBL-IN-460]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cac-pl:JurisdiccionRegionAddress)"
                 flag="warning"
                 id="UBL-IN-461">[UBL-IN-461]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme JurisdiccionRegionAddress</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-462">[UBL-IN-462]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ID</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:NameCode)"
                 flag="warning"
                 id="UBL-IN-463">[UBL-IN-463]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty NameCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:TestMethod)"
                 flag="warning"
                 id="UBL-IN-464">[UBL-IN-464]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty TestMethod</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQuantity)"
                 flag="warning"
                 id="UBL-IN-465">[UBL-IN-465]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQuantity</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQualifier)"
                 flag="warning"
                 id="UBL-IN-466">[UBL-IN-466]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQualifier</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ImportanceCode)"
                 flag="warning"
                 id="UBL-IN-467">[UBL-IN-467]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ImportanceCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ListValue)"
                 flag="warning"
                 id="UBL-IN-468">[UBL-IN-468]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ListValue</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:UsabilityPeriod)"
                 flag="warning"
                 id="UBL-IN-469">[UBL-IN-469]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty UsabilityPeriod</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyGroup)"
                 flag="warning"
                 id="UBL-IN-470">[UBL-IN-470]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyGroup</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:RangeDimension)"
                 flag="warning"
                 id="UBL-IN-471">[UBL-IN-471]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty RangeDimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyRange)"
                 flag="warning"
                 id="UBL-IN-472">[UBL-IN-472]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyRange</assert>
         <assert test="not(cac-pl:Item/cac-pl:ManufacturerParty)"
                 flag="warning"
                 id="UBL-IN-473">[UBL-IN-473]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturerParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:InformationContentProviderParty)"
                 flag="warning"
                 id="UBL-IN-474">[UBL-IN-474]-A PEF invoice Gross data should not include the InvoiceLine Item InformationContentProviderParty</assert>
         <assert test="not(cac-pl:Item/cac-pl:OriginAddress)"
                 flag="warning"
                 id="UBL-IN-475">[UBL-IN-475]-A PEF invoice Gross data should not include the InvoiceLine Item OriginAddress</assert>
         <assert test="not(cac-pl:Item/cac-pl:ItemInstance)"
                 flag="warning"
                 id="UBL-IN-476">[UBL-IN-476]-A PEF invoice Gross data should not include the InvoiceLine Item ItemInstance</assert>
         <assert test="not(cac-pl:Item/cac-pl:Certificate)"
                 flag="warning"
                 id="UBL-IN-477">[UBL-IN-477]-A PEF invoice Gross data should not include the InvoiceLine Item Certificate</assert>
         <assert test="not(cac-pl:Item/cac-pl:Dimension)"
                 flag="warning"
                 id="UBL-IN-478">[UBL-IN-478]-A PEF invoice Gross data should not include the InvoiceLine Item Dimension</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceChangeReason)"
                 flag="warning"
                 id="UBL-IN-479">[UBL-IN-479]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceChangeReason</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceTypeCode)"
                 flag="warning"
                 id="UBL-IN-480">[UBL-IN-480]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceTypeCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceType)"
                 flag="warning"
                 id="UBL-IN-481">[UBL-IN-481]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceType</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-482">[UBL-IN-482]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-IN-483">[UBL-IN-483]-A PEF invoice Gross data should not include the InvoiceLine Item Price ValidityPeriod</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:PriceList)"
                 flag="warning"
                 id="UBL-IN-484">[UBL-IN-484]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceList</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-485">[UBL-IN-485]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-486">[UBL-IN-486]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge ID</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode)"
                 flag="warning"
                 id="UBL-IN-487">[UBL-IN-487]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReasonCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason)"
                 flag="warning"
                 id="UBL-IN-489">[UBL-IN-489]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReason</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:MultiplierFactorNumeric)"
                 flag="warning"
                 id="UBL-IN-490">[UBL-IN-490]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge MultiplierFactorNumeric</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-IN-491">[UBL-IN-491]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-IN-492">[UBL-IN-492]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-493">[UBL-IN-493]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-IN-494">[UBL-IN-494]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-495">[UBL-IN-495]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-IN-496">[UBL-IN-496]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-IN-497">[UBL-IN-497]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-IN-498">[UBL-IN-498]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:Item/cac-pl:Price/cac-pl:PricingExchangeRate)"
                 flag="warning"
                 id="UBL-IN-499">[UBL-IN-499]-A PEF invoice Gross data should not include the InvoiceLine Item Price PricingExchangeRate</assert>
         <assert test="not(cac-pl:DeliveryTerms)"
                 flag="warning"
                 id="UBL-IN-500">[UBL-IN-500]-A PEF invoice Gross data should not include the InvoiceLine DeliveryTerms</assert>
         <assert test="not(cac-pl:SubInvoiceLine)"
                 flag="warning"
                 id="UBL-IN-501">[UBL-IN-501]-A PEF invoice Gross data should not include the InvoiceLine SubInvoiceLine</assert>
         <assert test="not(cac-pl:ItemPriceExtension)"
                 flag="warning"
                 id="UBL-IN-502">[UBL-IN-502]-A PEF invoice Gross data should not include the InvoiceLine ItemPriceExtension</assert>  
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:UUID)" 
				 flag="warning" 
				 id="UBL-IN-503">[UBL-IN-503]-A PEF invoice Gross data should not include the InvoiceLine UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:TaxPointDate)"
                 flag="warning"
                 id="UBL-IN-504">[UBL-IN-504]-A PEF invoice Gross data should not include the InvoiceLine TaxPointDate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-505">[UBL-IN-505]-A PEF invoice Gross data should not include the InvoiceLine AccountingCostCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cbc-pl:PaymentPurposeCode)"
                 flag="warning"
                 id="UBL-IN-506">[UBL-IN-506]-A PEF invoice Gross data should not include the InvoiceLine PaymentPurposeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-IN-507">[UBL-IN-507]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:SalesOrderLineID)"
                 flag="warning"
                 id="UBL-IN-508">[UBL-IN-508]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference SalesOrderLineID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-IN-509">[UBL-IN-509]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:LineStatusCode)"
                 flag="warning"
                 id="UBL-IN-510">[UBL-IN-510]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference LineStatusCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OrderLineReference/cbc-pl:OrderReference)"
                 flag="warning"
                 id="UBL-IN-511">[UBL-IN-511]-A PEF invoice Gross data should not include the InvoiceLine OrderLineReference OrderReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DespatchLineReference)"
                 flag="warning"
                 id="UBL-IN-512">[UBL-IN-512]-A PEF invoice Gross data should not include the InvoiceLine DespatchLineReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:ReceiptLineReference)"
                 flag="warning"
                 id="UBL-IN-513">[UBL-IN-513]-A PEF invoice Gross data should not include the InvoiceLine ReceiptLineReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:BillingReference)"
                 flag="warning"
                 id="UBL-IN-514">[UBL-IN-514]-A PEF invoice Gross data should not include the InvoiceLine BillingReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:CopyIndicator)"
                 flag="warning"
                 id="UBL-IN-515">[UBL-IN-515]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference CopyIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:UUID)"
                 flag="warning"
                 id="UBL-IN-516">[UBL-IN-516]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference UUID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:IssueDate)"
                 flag="warning"
                 id="UBL-IN-517">[UBL-IN-517]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference IssueDate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:IssueTime)"
                 flag="warning"
                 id="UBL-IN-518">[UBL-IN-518]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference IssueTime</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentType)"
                 flag="warning"
                 id="UBL-IN-519">[UBL-IN-519]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference DocumentType</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:Xpath)"
                 flag="warning"
                 id="UBL-IN-520">[UBL-IN-520]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference Xpath</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:LanguageID)"
                 flag="warning"
                 id="UBL-IN-521">[UBL-IN-521]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference LanguageID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:LocaleCode)"
                 flag="warning"
                 id="UBL-IN-522">[UBL-IN-522]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference LocaleCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:VersionID)"
                 flag="warning"
                 id="UBL-IN-523">[UBL-IN-523]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference VersionID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentStatusCode)"
                 flag="warning"
                 id="UBL-IN-524">[UBL-IN-524]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference DocumentStatusCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cbc-pl:DocumentDescription)"
                 flag="warning"
                 id="UBL-IN-525">[UBL-IN-525]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference DocumentDescription</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:Attachment)"
                 flag="warning"
                 id="UBL-IN-526">[UBL-IN-526]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference Attachment</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-IN-527">[UBL-IN-527]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference ValidityPeriod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-528">[UBL-IN-528]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DocumentReference/cac-pl:ResultOfVerification)"
                 flag="warning"
                 id="UBL-IN-529">[UBL-IN-529]-A PEF invoice Gross data should not include the InvoiceLine DocumentReference ResultOfVerification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:PricingReference)"
                 flag="warning"
                 id="UBL-IN-530">[UBL-IN-530]-A PEF invoice Gross data should not include the InvoiceLine PricingReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:OriginatorParty)"
                 flag="warning"
                 id="UBL-IN-531">[UBL-IN-531]-A PEF invoice Gross data should not include the InvoiceLine OriginatorParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Delivery)"
                 flag="warning"
                 id="UBL-IN-532">[UBL-IN-532]-A PEF invoice Gross data should not include the InvoiceLine Delivery</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:PaymentTerms)"
                 flag="warning"
                 id="UBL-IN-533">[UBL-IN-533]-A PEF invoice Gross data should not include the InvoiceLine PaymentTerms</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-534">[UBL-IN-534]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge ID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-IN-535">[UBL-IN-535]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-IN-536">[UBL-IN-536]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-537">[UBL-IN-537]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-IN-538">[UBL-IN-538]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-539">[UBL-IN-539]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-IN-540">[UBL-IN-540]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-IN-541">[UBL-IN-541]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-IN-542">[UBL-IN-542]-A PEF invoice Gross data should not include the InvoiceLine AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:PackQuantity)"
                 flag="warning"
                 id="UBL-IN-543">[UBL-IN-543]-A PEF invoice Gross data should not include the InvoiceLine Item PackQuantity</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:PackSizeNumeric)"
                 flag="warning"
                 id="UBL-IN-544">[UBL-IN-544]-A PEF invoice Gross data should not include the InvoiceLine Item PackSizeNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:CatalogueIndicator)"
                 flag="warning"
                 id="UBL-IN-545">[UBL-IN-545]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:HazardousRiskIndicator)"
                 flag="warning"
                 id="UBL-IN-546">[UBL-IN-546]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousRiskIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:AdditionalInformation)"
                 flag="warning"
                 id="UBL-IN-547">[UBL-IN-547]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalInformation</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:Keyword)"
                 flag="warning"
                 id="UBL-IN-548">[UBL-IN-548]-A PEF invoice Gross data should not include the InvoiceLine Item Keyword</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:BrandName)"
                 flag="warning"
                 id="UBL-IN-549">[UBL-IN-549]-A PEF invoice Gross data should not include the InvoiceLine Item BrandName</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cbc-pl:ModelName)"
                 flag="warning"
                 id="UBL-IN-550">[UBL-IN-550]-A PEF invoice Gross data should not include the InvoiceLine Item ModelName</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-551">[UBL-IN-551]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-552">[UBL-IN-552]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-553">[UBL-IN-553]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-554">[UBL-IN-554]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:BuyersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-555">[UBL-IN-555]-A PEF invoice Gross data should not include the InvoiceLine Item BuyersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-556">[UBL-IN-556]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-557">[UBL-IN-557]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-558">[UBL-IN-558]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-559">[UBL-IN-559]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:SellersItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-560">[UBL-IN-560]-A PEF invoice Gross data should not include the InvoiceLine Item SellersItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ManufacturersItemIdentification)"
                 flag="warning"
                 id="UBL-IN-561">[UBL-IN-561]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturersItemIdentification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ExtendedID)"
                 flag="warning"
                 id="UBL-IN-562">[UBL-IN-562]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification ExtendedID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:BareCodeSymbologyID)"
                 flag="warning"
                 id="UBL-IN-563">[UBL-IN-563]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification BareCodeSymbologyID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:PhysicalAttribute)"
                 flag="warning"
                 id="UBL-IN-564">[UBL-IN-564]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification PhysicalAttribute</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:MeasurementDimension)"
                 flag="warning"
                 id="UBL-IN-565">[UBL-IN-565]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification MeasurementDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cac-pl:IssuerParty)"
                 flag="warning"
                 id="UBL-IN-566">[UBL-IN-566]-A PEF invoice Gross data should not include the InvoiceLine Item StandardItemIdentification IssuerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CatalogueItemIdentification)"
                 flag="warning"
                 id="UBL-IN-567">[UBL-IN-567]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueItemIdentification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemIdentification)"
                 flag="warning"
                 id="UBL-IN-568">[UBL-IN-568]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemIdentification</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CatalogueDocumentReference)"
                 flag="warning"
                 id="UBL-IN-569">[UBL-IN-569]-A PEF invoice Gross data should not include the InvoiceLine Item CatalogueDocumentReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ItemSpecificationDocumentReference)"
                 flag="warning"
                 id="UBL-IN-570">[UBL-IN-570]-A PEF invoice Gross data should not include the InvoiceLine Item ItemSpecificationDocumentReference</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:NatureCode)"
                 flag="warning"
                 id="UBL-IN-571">[UBL-IN-571]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification NatureCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-572">[UBL-IN-572]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CargoTypeCode)"
                 flag="warning"
                 id="UBL-IN-573">[UBL-IN-573]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CargoTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:CommodityCode)"
                 flag="warning"
                 id="UBL-IN-574">[UBL-IN-574]-A PEF invoice Gross data should not include the InvoiceLine Item CommodityClassification CommodityCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:TransactionConditions)"
                 flag="warning"
                 id="UBL-IN-575">[UBL-IN-575]-A PEF invoice Gross data should not include the InvoiceLine Item TransactionConditions</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:HazardousItem)"
                 flag="warning"
                 id="UBL-IN-576">[UBL-IN-576]-A PEF invoice Gross data should not include the InvoiceLine Item HazardousItem</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-577">[UBL-IN-577]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory Name</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:BaseUnitMeasure)"
                 flag="warning"
                 id="UBL-IN-578">[UBL-IN-578]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory BaseUnitMeasure</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-579">[UBL-IN-579]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory PerUnitAmount</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReasonCode)"
                 flag="warning"
                 id="UBL-IN-580">[UBL-IN-580]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReasonCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TaxExemptionReason)"
                 flag="warning"
                 id="UBL-IN-581">[UBL-IN-581]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxExemptionReason</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRange)"
                 flag="warning"
                 id="UBL-IN-582">[UBL-IN-582]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRange</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:TierRatePercent)"
                 flag="warning"
                 id="UBL-IN-583">[UBL-IN-583]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TierRatePercent</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:Name)"
                 flag="warning"
                 id="UBL-IN-584">[UBL-IN-584]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme Name</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:TaxTypeCode)"
                 flag="warning"
                 id="UBL-IN-585">[UBL-IN-685]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme TaxTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cbc-pl:CurrencyCode)"
                 flag="warning"
                 id="UBL-IN-586">[UBL-IN-586]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme CurrencyCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ClassifiedTaxCategory/cac-pl:TaxScheme/cac-pl:JurisdiccionRegionAddress)"
                 flag="warning"
                 id="UBL-IN-587">[UBL-IN-587]-A PEF invoice Gross data should not include the InvoiceLine Item ClassifiedTaxCategory TaxScheme JurisdiccionRegionAddress</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-588">[UBL-IN-588]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:NameCode)"
                 flag="warning"
                 id="UBL-IN-589">[UBL-IN-589]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty NameCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:TestMethod)"
                 flag="warning"
                 id="UBL-IN-590">[UBL-IN-590]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty TestMethod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQuantity)"
                 flag="warning"
                 id="UBL-IN-591">[UBL-IN-591]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQuantity</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ValueQualifier)"
                 flag="warning"
                 id="UBL-IN-592">[UBL-IN-592]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ValueQualifier</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ImportanceCode)"
                 flag="warning"
                 id="UBL-IN-593">[UBL-IN-593]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ImportanceCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cbc-pl:ListValue)"
                 flag="warning"
                 id="UBL-IN-594">[UBL-IN-594]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ListValue</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:UsabilityPeriod)"
                 flag="warning"
                 id="UBL-IN-595">[UBL-IN-595]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty UsabilityPeriod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyGroup)"
                 flag="warning"
                 id="UBL-IN-596">[UBL-IN-596]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyGroup</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:RangeDimension)"
                 flag="warning"
                 id="UBL-IN-597">[UBL-IN-597]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty RangeDimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:AdditionalItemProperty/cac-pl:ItemPropertyRange)"
                 flag="warning"
                 id="UBL-IN-598">[UBL-IN-598]-A PEF invoice Gross data should not include the InvoiceLine Item AdditionalItemProperty ItemPropertyRange</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ManufacturerParty)"
                 flag="warning"
                 id="UBL-IN-599">[UBL-IN-599]-A PEF invoice Gross data should not include the InvoiceLine Item ManufacturerParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:InformationContentProviderParty)"
                 flag="warning"
                 id="UBL-IN-600">[UBL-IN-600]-A PEF invoice Gross data should not include the InvoiceLine Item InformationContentProviderParty</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:OriginAddress)"
                 flag="warning"
                 id="UBL-IN-601">[UBL-IN-601]-A PEF invoice Gross data should not include the InvoiceLine Item OriginAddress</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:ItemInstance)"
                 flag="warning"
                 id="UBL-IN-602">[UBL-IN-602]-A PEF invoice Gross data should not include the InvoiceLine Item ItemInstance</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Certificate)"
                 flag="warning"
                 id="UBL-IN-603">[UBL-IN-603]-A PEF invoice Gross data should not include the InvoiceLine Item Certificate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Dimension)"
                 flag="warning"
                 id="UBL-IN-604">[UBL-IN-604]-A PEF invoice Gross data should not include the InvoiceLine Item Dimension</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceChangeReason)"
                 flag="warning"
                 id="UBL-IN-605">[UBL-IN-605]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceChangeReason</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceTypeCode)"
                 flag="warning"
                 id="UBL-IN-606">[UBL-IN-606]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceTypeCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceType)"
                 flag="warning"
                 id="UBL-IN-607">[UBL-IN-607]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceType</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-608">[UBL-IN-608]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:ValidityPeriod)"
                 flag="warning"
                 id="UBL-IN-609">[UBL-IN-609]-A PEF invoice Gross data should not include the InvoiceLine Item Price ValidityPeriod</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:PriceList)"
                 flag="warning"
                 id="UBL-IN-610">[UBL-IN-610]-A PEF invoice Gross data should not include the InvoiceLine Item Price PriceList</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cbc-pl:OrderableUnitFactorRate)"
                 flag="warning"
                 id="UBL-IN-611">[UBL-IN-611]-A PEF invoice Gross data should not include the InvoiceLine Item Price OrderableUnitFactorRate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:ID)"
                 flag="warning"
                 id="UBL-IN-612">[UBL-IN-612]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge ID</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReasonCode)"
                 flag="warning"
                 id="UBL-IN-613">[UBL-IN-613]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReasonCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AllowanceChargeReason)"
                 flag="warning"
                 id="UBL-IN-614">[UBL-IN-614]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AllowanceChargeReason</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:MultiplierFactorNumeric)"
                 flag="warning"
                 id="UBL-IN-615">[UBL-IN-615]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge MultiplierFactorNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PrepaidIndicator)"
                 flag="warning"
                 id="UBL-IN-616">[UBL-IN-616]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PrepaidIndicator</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:SequenceNumeric)"
                 flag="warning"
                 id="UBL-IN-617">[UBL-IN-617]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge SequenceNumeric</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCostCode)"
                 flag="warning"
                 id="UBL-IN-618">[UBL-IN-618]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCostCode</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:AccountingCost)"
                 flag="warning"
                 id="UBL-IN-619">[UBL-IN-619]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge AccountingCost</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cbc-pl:PerUnitAmount)"
                 flag="warning"
                 id="UBL-IN-620">[UBL-IN-620]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PerUnitAmount</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxCategory)"
                 flag="warning"
                 id="UBL-IN-621">[UBL-IN-621]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxCategory</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:TaxTotal)"
                 flag="warning"
                 id="UBL-IN-622">[UBL-IN-622]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge TaxTotal</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:AllowanceCharge/cac-pl:PaymentMeans)"
                 flag="warning"
                 id="UBL-IN-623">[UBL-IN-623]-A PEF invoice Gross data should not include the InvoiceLine Item Price AllowanceCharge PaymentMeans</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:Item/cac-pl:Price/cac-pl:PricingExchangeRate)"
                 flag="warning"
                 id="UBL-IN-624">[UBL-IN-624]-A PEF invoice Gross data should not include the InvoiceLine Item Price PricingExchangeRate</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:DeliveryTerms)"
                 flag="warning"
                 id="UBL-IN-625">[UBL-IN-625]-A PEF invoice Gross data should not include the InvoiceLine DeliveryTerms</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:SubInvoiceLine)"
                 flag="warning"
                 id="UBL-IN-626">[UBL-IN-626]-A PEF invoice Gross data should not include the InvoiceLine SubInvoiceLine</assert>
         <assert test="not(cac-pl:SubInvoiceLine/cac-pl:ItemPriceExtension)"
                 flag="warning"
                 id="UBL-IN-627">[UBL-IN-627]-A PEF invoice Gross data should not include the InvoiceLine ItemPriceExtension</assert>  
 
         <assert test="not(//@schemeName)" flag="warning" id="UBL-DT-08">[UBL-DT-08]-Scheme name attribute should not be present</assert>
         <assert test="not(//@schemeAgencyName)" flag="warning" id="UBL-DT-09">[UBL-DT-09]-Scheme agency name attribute should not be present</assert>
         <assert test="not(//@schemeDataURI)" flag="warning" id="UBL-DT-10">[UBL-DT-10]-Scheme data uri attribute should not be present</assert>
         <assert test="not(//@schemeURI)" flag="warning" id="UBL-DT-11">[UBL-DT-11]-Scheme uri attribute should not be present</assert>
         <assert test="not(//@format)" flag="warning" id="UBL-DT-12">[UBL-DT-12]-Format attribute should not be present</assert>
         <assert test="not(//@unitCodeListIdentifier)" flag="warning" id="UBL-DT-13">[UBL-DT-13]-Unit code list identifier attribute should not be present</assert>
         <assert test="not(//@unitCodeListAgencyIdentifier)"
                 flag="warning"
                 id="UBL-DT-14">[UBL-DT-14]-Unit code list agency identifier attribute should not be present</assert>
         <assert test="not(//@unitCodeListAgencyName)" flag="warning" id="UBL-DT-15">[UBL-DT-15]-Unit code list agency name attribute should not be present</assert>
         <assert test="not(//@listAgencyName)" flag="warning" id="UBL-DT-16">[UBL-DT-16]-List agency name attribute should not be present</assert>
         <assert test="not(//@listName)" flag="warning" id="UBL-DT-17">[UBL-DT-17]-List name attribute should not be present</assert>
         <assert test="(count(cac-pl:InvoicePeriod) &lt;= 1)"
                 flag="warning"
                 id="UBL-SR-08">[UBL-SR-08]-Invoice period shall occur maximum once</assert>
      </rule>     
		<rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:InvoiceLine">
         <assert test="exists(cbc-pl:InvoicedQuantity) or exists(cbc-pl:CreditedQuantity)"
                 flag="fatal"
                 id="PL-CI-056">[PL-CI-056]-Each Invoice line (BG-25) shall have an Invoiced quantity (BT-129).</assert>
         <assert test="exists(cbc-pl:InvoicedQuantity/@unitCode) or exists(cbc-pl:CreditedQuantity/@unitCode)"
                 flag="fatal"
                 id="PL-CI-057">[PL-CI-057]-An Invoice line (BG-25) shall have an Invoiced quantity unit of measure code (BT-130).</assert>
         <assert test="exists(cbc-pl:LineExtensionAmount)" flag="fatal" id="PL-CI-058">[PL-CI-058]-Each Invoice line (BG-25) shall have an Invoice line net amount (BT-131).</assert>
         <assert test="(cac-pl:Item/cbc-pl:Name) != ''" flag="fatal" id="PL-CI-059">[PL-CI-059]-Each Invoice line (BG-25) shall contain the Item name (BT-153).</assert>
         <assert test="exists(cac-pl:Price/cbc-pl:PriceAmount)" flag="fatal" id="PL-CI-060">[PL-CI-060]-Each Invoice line (BG-25) shall contain the Item net price (BT-146).</assert>
         <assert test="(cac-pl:Item/cac-pl:ClassifiedTaxCategory/cbc-pl:ID)"
                 flag="fatal"
                 id="PL-CI-063">[PL-CI-063]-Each Invoice line (BG-25) shall be categorized with an Invoiced item VAT category code (BT-151).</assert>
       </rule>
      <rule context="cac-pl:InvoiceLine/cac-pl:Item/cac-pl:CommodityClassification/cbc-pl:ItemClassificationCode">
         <assert test="exists(@listID)" flag="fatal" id="PL-CI-078">[PL-CI-078]-The Item classification identifier (BT-158) shall have a Scheme identifier.</assert>
      </rule>
      <rule context="cac-pl:InvoiceLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ID | cac-pl:CreditNoteLine/cac-pl:Item/cac-pl:StandardItemIdentification/cbc-pl:ID">
         <assert test="exists(@schemeID)" flag="fatal" id="PL-CI-079">[PL-CI-079]-The Item standard identifier (BT-157) shall have a Scheme identifier.</assert>
      </rule>
    <rule context="//ext:UBLExtensions/ext:UBLExtension/ext:ExtensionContent/cac-pl:OriginalInvoiceData/cac-pl:LegalMonetaryTotal">
         <assert test="(xs:decimal(cbc-pl:LineExtensionAmount) = (round(sum(//cac-pl:InvoiceLine/xs:decimal(cbc-pl:LineExtensionAmount)) * 10 * 10) div 100)) or (xs:decimal(cbc-pl:LineExtensionAmount) = (round(sum(//cac-pl:CreditNoteLine/xs:decimal(cbc-pl:LineExtensionAmount)) * 10 * 10) div 100))"
                 flag="fatal"
                 id="PL-CI-007">[PL-CI-007]-Sum of Invoice line net amount (BT-106) = Σ Invoice line net amount (BT-131).</assert>
         <assert test="string-length(substring-after(cbc-pl:LineExtensionAmount,'.'))&lt;=2"
                 flag="fatal"
                 id="PL-CI-012">[PL-CI-012]-The allowed maximum number of decimals for the Sum of Invoice line net amount (BT-106) is 2.</assert>
      </rule>

	</pattern>

  <pattern id="Codesmodel">
  
      <rule context="cbc-pl:Amount | cbc-pl:BaseAmount | cbc-pl:PriceAmount | cbc-pl:TaxAmount | cbc-pl:TaxableAmount | cbc-pl:LineExtensionAmount | cbc-pl:TaxExclusiveAmount | cbc-pl:TaxInclusiveAmount | cbc-pl:AllowanceTotalAmount | cbc-pl:ChargeTotalAmount | cbc-pl:PrepaidAmount | cbc-pl:PayableRoundingAmount | cbc-pl:PayableAmount"
            flag="fatal">
         <assert test="((not(contains(normalize-space(@currencyID), ' ')) and contains(' AED AFN ALL AMD ANG AOA ARS AUD AWG AZN BAM BBD BDT BGN BHD BIF BMD BND BOB BOV BRL BSD BTN BWP BYN BZD CAD CDF CHE CHF CHW CLF CLP CNY COP COU CRC CUC CUP CVE CZK DJF DKK DOP DZD EGP ERN ETB EUR FJD FKP GBP GEL GHS GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LYD MAD MDL MGA MKD MMK MNT MOP MRO MUR MVR MWK MXN MXV MYR MZN NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR RON RSD RUB RWF SAR SBD SCR SDG SEK SGD SHP SLL SOS SRD SSP STD SVC SYP SZL THB TJS TMT TND TOP TRY TTD TWD TZS UAH UGX USD USN UYI UYU UZS VEF VND VUV WST XAF XAG XAU XBA XBB XBC XBD XCD XDR XOF XPD XPF XPT XSU XTS XUA XXX YER ZAR ZMW ZWL ', concat(' ', normalize-space(@currencyID), ' '))))"
                 id="BR-CL-03"
                 flag="fatal">[BR-CL-03]-currencyID MUST be coded using ISO code list 4217 alpha-3</assert>
      </rule>
  
      <rule flag="fatal" context="cbc:DocumentCurrencyCode">
      <assert id="BR-CL-04" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' AED AFN ALL AMD ANG AOA ARS AUD AWG AZN BAM BBD BDT BGN BHD BIF BMD BND BOB BOV BRL BSD BTN BWP BYN BZD CAD CDF CHE CHF CHW CLF CLP CNY COP COU CRC CUC CUP CVE CZK DJF DKK DOP DZD EGP ERN ETB EUR FJD FKP GBP GEL GHS GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LYD MAD MDL MGA MKD MMK MNT MOP MRO MUR MVR MWK MXN MXV MYR MZN NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR RON RSD RUB RWF SAR SBD SCR SDG SEK SGD SHP SLL SOS SRD SSP STD SVC SYP SZL THB TJS TMT TND TOP TRY TTD TWD TZS UAH UGX USD USN UYI UYU UZS VEF VND VUV WST XAF XAG XAU XBA XBB XBC XBD XCD XDR XOF XPD XPF XPT XSU XTS XUA XXX YER ZAR ZMW ZWL ', concat(' ', normalize-space(.), ' '))))">[BR-CL-04]-Document currency code MUST be coded using ISO code list 4217 alpha-3</assert>
      </rule>
  
      <rule flag="fatal" context="cbc:TaxCurrencyCode">
      <assert id="BR-CL-05" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' AED AFN ALL AMD ANG AOA ARS AUD AWG AZN BAM BBD BDT BGN BHD BIF BMD BND BOB BOV BRL BSD BTN BWP BYN BZD CAD CDF CHE CHF CHW CLF CLP CNY COP COU CRC CUC CUP CVE CZK DJF DKK DOP DZD EGP ERN ETB EUR FJD FKP GBP GEL GHS GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LYD MAD MDL MGA MKD MMK MNT MOP MRO MUR MVR MWK MXN MXV MYR MZN NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR RON RSD RUB RWF SAR SBD SCR SDG SEK SGD SHP SLL SOS SRD SSP STD SVC SYP SZL THB TJS TMT TND TOP TRY TTD TWD TZS UAH UGX USD USN UYI UYU UZS VEF VND VUV WST XAF XAG XAU XBA XBB XBC XBD XCD XDR XOF XPD XPF XPT XSU XTS XUA XXX YER ZAR ZMW ZWL ', concat(' ', normalize-space(.), ' '))))">[BR-CL-05]-Tax currency code MUST be coded using ISO code list 4217 alpha-3</assert>
    </rule>
    
      <rule context="cac-pl:CommodityClassification/cbc-pl:ItemClassificationCode[@listID]"
            flag="fatal">
		  <assert id="BR-CL-13" flag="fatal" test="((not(contains(normalize-space(@listID), ' ')) and contains(' AA AB AC AD AE AF AG AH AI AJ AK AL AM AN AO AP AQ AR AS AT AU AV AW AX AY AZ BA BB BC BD BE BF BG BH BI BJ BK BL BM BN BO BP BQ BR BS BT BU BV BW BX BY BZ CC CG CL CR CV DR DW EC EF EN FS GB GN GS HS IB IN IS IT IZ MA MF MN MP NB ON PD PL PO PV QS RC RN RU RY SA SG SK SN SRS SRT SRU SRV SRW SRX SRY SRZ SS SSA SSB SSC SSD SSE SSF SSG SSH SSI SSJ SSK SSL SSM SSN SSO SSP SSQ SSR SSS SST SSU SSV SSW SSX SSY SSZ ST STA STB STC STD STE STF STG STH STI STJ STK STL STM STN STO STP STQ STR STS STT STU STV STW STX STY STZ SUA SUB SUC SUD SUE SUF SUG SUH SUI SUJ SUK SUL SUM TG TSN TSO TSP TSQ TSR TSS TST TSU UA UP VN VP VS VX ZZZ ', concat(' ', normalize-space(@listID), ' '))))">[BR-CL-13]-Item classification identifier identification scheme identifier MUST be
		  coded using one of the UNTDID 7143 list.</assert>
      </rule>
	  
	  <rule flag="fatal" context="cac:Country/cbc:IdentificationCode">
		  <assert id="BR-CL-14" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' 1A AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ DE DJ DK DM DO DZ EC EE EG EH ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR SS ST SV SX SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS XI YE YT ZA ZM ZW ', concat(' ', normalize-space(.), ' '))))">[BR-CL-14]-Country codes in an invoice MUST be coded using ISO code list 3166-1</assert>
    </rule>

      <rule context="cac-pl:OriginCountry/cbc-pl:IdentificationCode" flag="fatal">
		  <assert id="BR-CL-15" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' 1A AD AE AF AG AI AL AM AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CR CU CV CW CX CY CZ DE DJ DK DM DO DZ EC EE EG EH ER ES ET FI FJ FK FM FO FR GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SG SH SI SJ SK SL SM SN SO SR SS ST SV SX SY SZ TC TD TF TG TH TJ TK TL TM TN TO TR TT TV TW TZ UA UG UM US UY UZ VA VC VE VG VI VN VU WF WS XI YE YT ZA ZM ZW ', concat(' ', normalize-space(.), ' '))))">[BR-CL-15]-Country codes in an invoice MUST be coded using ISO code list 3166-1</assert>
      </rule>
	  
	  <rule flag="fatal" context="cac:PaymentMeans/cbc:PaymentMeansCode">
		  <assert id="BR-CL-16" flag="fatal" test="( ( not(contains(normalize-space(.),' ')) and contains( ' 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 74 75 76 77 78 91 92 93 94 95 96 97 ZZZ ',concat(' ',normalize-space(.),' ') ) ) )">[BR-CL-16]-Payment means in an invoice MUST be coded using UNCL4461 code list</assert>
	  </rule>
  
      <rule context="cac-pl:TaxCategory/cbc-pl:ID" flag="fatal">
         <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' AE L M E S Z G O K B ',concat(' ',normalize-space(.),' ') ) ) )"
                 id="BR-CL-17"
                 flag="fatal">[BR-CL-17]-Invoice tax categories MUST be coded using UNCL5305 code list</assert>
      </rule>
  
      <rule context="cac-pl:ClassifiedTaxCategory/cbc-pl:ID" flag="fatal">
         <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' AE L M E S Z G O K B ',concat(' ',normalize-space(.),' ') ) ) )"
                 id="BR-CL-18"
                 flag="fatal">[BR-CL-18]-Invoice tax categories MUST be coded using UNCL5305 code list</assert>
      </rule>
  
      <rule context="cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'false']/cbc-pl:AllowanceChargeReasonCode"
            flag="fatal">
      <assert id="BR-CL-19" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' 41 42 60 62 63 64 65 66 67 68 70 71 88 95 100 102 103 104 ', concat(' ', normalize-space(.), ' '))))">[BR-CL-19]-Coded allowance reasons MUST belong to the UNCL 5189 code list</assert>
      </rule>
  
      <rule context="cac-pl:AllowanceCharge[cbc-pl:ChargeIndicator = 'true']/cbc-pl:AllowanceChargeReasonCode"
            flag="fatal">
      <assert id="BR-CL-20" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' AA AAA AAC AAD AAE AAF AAH AAI AAS AAT AAV AAY AAZ ABA ABB ABC ABD ABF ABK ABL ABN ABR ABS ABT ABU ACF ACG ACH ACI ACJ ACK ACL ACM ACS ADC ADE ADJ ADK ADL ADM ADN ADO ADP ADQ ADR ADT ADW ADY ADZ AEA AEB AEC AED AEF AEH AEI AEJ AEK AEL AEM AEN AEO AEP AES AET AEU AEV AEW AEX AEY AEZ AJ AU CA CAB CAD CAE CAF CAI CAJ CAK CAL CAM CAN CAO CAP CAQ CAR CAS CAT CAU CAV CAW CAX CAY CAZ CD CG CS CT DAB DAD DAC DAF DAG DAH DAI DAJ DAK DAL DAM DAN DAO DAP DAQ DL EG EP ER FAA FAB FAC FC FH FI GAA HAA HD HH IAA IAB ID IF IR IS KO L1 LA LAA LAB LF MAE MI ML NAA OA PA PAA PC PL RAB RAC RAD RAF RE RF RH RV SA SAA SAD SAE SAI SG SH SM SU TAB TAC TT TV V1 V2 WH XAA YY ZZZ ', concat(' ', normalize-space(.), ' '))))">[BR-CL-20]-Coded charge reasons MUST belong to the UNCL 7161 code list</assert>
      </rule>
          <!-- 2018-11-13 - Added newest ICD values manually -->
      <rule context="cac-pl:StandardItemIdentification/cbc-pl:ID[@schemeID]" flag="fatal">
		  <assert id="BR-CL-21" flag="fatal" test="((not(contains(normalize-space(@schemeID), ' ')) and contains(' 0002 0003 0004 0005 0006 0007 0008 0009 0010 0011 0012 0013 0014 0015 0016 0017 0018 0019 0020 0021 0022 0023 0024 0025 0026 0027 0028 0029 0030 0031 0032 0033 0034 0035 0036 0037 0038 0039 0040 0041 0042 0043 0044 0045 0046 0047 0048 0049 0050 0051 0052 0053 0054 0055 0056 0057 0058 0059 0060 0061 0062 0063 0064 0065 0066 0067 0068 0069 0070 0071 0072 0073 0074 0075 0076 0077 0078 0079 0080 0081 0082 0083 0084 0085 0086 0087 0088 0089 0090 0091 0093 0094 0095 0096 0097 0098 0099 0100 0101 0102 0104 0105 0106 0107 0108 0109 0110 0111 0112 0113 0114 0115 0116 0117 0118 0119 0120 0121 0122 0123 0124 0125 0126 0127 0128 0129 0130 0131 0132 0133 0134 0135 0136 0137 0138 0139 0140 0141 0142 0143 0144 0145 0146 0147 0148 0149 0150 0151 0152 0153 0154 0155 0156 0157 0158 0159 0160 0161 0162 0163 0164 0165 0166 0167 0168 0169 0170 0171 0172 0173 0174 0175 0176 0177 0178 0179 0180 0183 0184 0185 0186 0187 0188 0189 0190 0191 0192 0193 0194 0195 0196 0197 0198 0199 0200 0201 0202 0203 0204 0205 0206 0207 0208 0209 0210 0211 0212 0213 ', concat(' ', normalize-space(@schemeID), ' '))))">[BR-CL-21]-Item standard identifier scheme identifier MUST belong to the ISO 6523 ICD code list</assert>
      </rule>
  
		<rule flag="fatal" context="cbc:TaxExemptionReasonCode">
		  <assert id="BR-CL-22" flag="fatal" test="((not(contains(normalize-space(.), ' ')) and contains(' VATEX-EU-79-C VATEX-EU-132 VATEX-EU-132-1A VATEX-EU-132-1B VATEX-EU-132-1C VATEX-EU-132-1D VATEX-EU-132-1E VATEX-EU-132-1F VATEX-EU-132-1G VATEX-EU-132-1H VATEX-EU-132-1I VATEX-EU-132-1J VATEX-EU-132-1K VATEX-EU-132-1L VATEX-EU-132-1M VATEX-EU-132-1N VATEX-EU-132-1O VATEX-EU-132-1P VATEX-EU-132-1Q VATEX-EU-143 VATEX-EU-143-1A VATEX-EU-143-1B VATEX-EU-143-1C VATEX-EU-143-1D VATEX-EU-143-1E VATEX-EU-143-1F VATEX-EU-143-1FA VATEX-EU-143-1G VATEX-EU-143-1H VATEX-EU-143-1I VATEX-EU-143-1J VATEX-EU-143-1K VATEX-EU-143-1L VATEX-EU-309 VATEX-EU-148 VATEX-EU-148-A VATEX-EU-148-B VATEX-EU-148-C VATEX-EU-148-D VATEX-EU-148-E VATEX-EU-148-F VATEX-EU-148-G VATEX-EU-151 VATEX-EU-151-1A VATEX-EU-151-1AA VATEX-EU-151-1B VATEX-EU-151-1C VATEX-EU-151-1D VATEX-EU-151-1E VATEX-EU-G VATEX-EU-O VATEX-EU-IC VATEX-EU-AE VATEX-EU-D VATEX-EU-F VATEX-EU-I VATEX-EU-J ', concat(' ', normalize-space(upper-case(.)), ' '))))">[BR-CL-22]-Tax exemption reason code identifier scheme identifier MUST belong to the CEF VATEX code list</assert>
		</rule>
	  
		<rule context="cbc-pl:InvoicedQuantity[@unitCode] | cbc-pl:BaseQuantity[@unitCode]"
            flag="fatal">
			<assert test="((not(contains(normalize-space(@unitCode), ' ')) and contains(' 10 11 13 14 15 20 21 22 23 24 25 27 28 33 34 35 37 38 40 41 56 57 58 59 60 61 74 77 80 81 85 87 89 91 1I 2A 2B 2C 2G 2H 2I 2J 2K 2L 2M 2N 2P 2Q 2R 2U 2X 2Y 2Z 3B 3C 4C 4G 4H 4K 4L 4M 4N 4O 4P 4Q 4R 4T 4U 4W 4X 5A 5B 5E 5J A10 A11 A12 A13 A14 A15 A16 A17 A18 A19 A2 A20 A21 A22 A23 A24 A26 A27 A28 A29 A3 A30 A31 A32 A33 A34 A35 A36 A37 A38 A39 A4 A40 A41 A42 A43 A44 A45 A47 A48 A49 A5 A53 A54 A55 A56 A59 A6 A68 A69 A7 A70 A71 A73 A74 A75 A76 A8 A84 A85 A86 A87 A88 A89 A9 A90 A91 A93 A94 A95 A96 A97 A98 A99 AA AB ACR ACT AD AE AH AI AK AL AMH AMP ANN APZ AQ AS ASM ASU ATM AWG AY AZ B1 B10 B11 B12 B13 B14 B15 B16 B17 B18 B19 B20 B21 B22 B23 B24 B25 B26 B27 B28 B29 B3 B30 B31 B32 B33 B34 B35 B4 B41 B42 B43 B44 B45 B46 B47 B48 B49 B50 B52 B53 B54 B55 B56 B57 B58 B59 B60 B61 B62 B63 B64 B66 B67 B68 B69 B7 B70 B71 B72 B73 B74 B75 B76 B77 B78 B79 B8 B80 B81 B82 B83 B84 B85 B86 B87 B88 B89 B90 B91 B92 B93 B94 B95 B96 B97 B98 B99 BAR BB BFT BHP BIL BLD BLL BP BPM BQL BTU BUA BUI C0 C10 C11 C12 C13 C14 C15 C16 C17 C18 C19 C20 C21 C22 C23 C24 C25 C26 C27 C28 C29 C3 C30 C31 C32 C33 C34 C35 C36 C37 C38 C39 C40 C41 C42 C43 C44 C45 C46 C47 C48 C49 C50 C51 C52 C53 C54 C55 C56 C57 C58 C59 C60 C61 C62 C63 C64 C65 C66 C67 C68 C69 C7 C70 C71 C72 C73 C74 C75 C76 C78 C79 C8 C80 C81 C82 C83 C84 C85 C86 C87 C88 C89 C9 C90 C91 C92 C93 C94 C95 C96 C97 C99 CCT CDL CEL CEN CG CGM CKG CLF CLT CMK CMQ CMT CNP CNT COU CTG CTM CTN CUR CWA CWI D03 D04 D1 D10 D11 D12 D13 D15 D16 D17 D18 D19 D2 D20 D21 D22 D23 D24 D25 D26 D27 D29 D30 D31 D32 D33 D34 D36 D41 D42 D43 D44 D45 D46 D47 D48 D49 D5 D50 D51 D52 D53 D54 D55 D56 D57 D58 D59 D6 D60 D61 D62 D63 D65 D68 D69 D73 D74 D77 D78 D80 D81 D82 D83 D85 D86 D87 D88 D89 D91 D93 D94 D95 DAA DAD DAY DB DBM DBW DD DEC DG DJ DLT DMA DMK DMO DMQ DMT DN DPC DPR DPT DRA DRI DRL DT DTN DWT DZN DZP E01 E07 E08 E09 E10 E12 E14 E15 E16 E17 E18 E19 E20 E21 E22 E23 E25 E27 E28 E30 E31 E32 E33 E34 E35 E36 E37 E38 E39 E4 E40 E41 E42 E43 E44 E45 E46 E47 E48 E49 E50 E51 E52 E53 E54 E55 E56 E57 E58 E59 E60 E61 E62 E63 E64 E65 E66 E67 E68 E69 E70 E71 E72 E73 E74 E75 E76 E77 E78 E79 E80 E81 E82 E83 E84 E85 E86 E87 E88 E89 E90 E91 E92 E93 E94 E95 E96 E97 E98 E99 EA EB EQ F01 F02 F03 F04 F05 F06 F07 F08 F10 F11 F12 F13 F14 F15 F16 F17 F18 F19 F20 F21 F22 F23 F24 F25 F26 F27 F28 F29 F30 F31 F32 F33 F34 F35 F36 F37 F38 F39 F40 F41 F42 F43 F44 F45 F46 F47 F48 F49 F50 F51 F52 F53 F54 F55 F56 F57 F58 F59 F60 F61 F62 F63 F64 F65 F66 F67 F68 F69 F70 F71 F72 F73 F74 F75 F76 F77 F78 F79 F80 F81 F82 F83 F84 F85 F86 F87 F88 F89 F90 F91 F92 F93 F94 F95 F96 F97 F98 F99 FAH FAR FBM FC FF FH FIT FL FNU FOT FP FR FS FTK FTQ G01 G04 G05 G06 G08 G09 G10 G11 G12 G13 G14 G15 G16 G17 G18 G19 G2 G20 G21 G23 G24 G25 G26 G27 G28 G29 G3 G30 G31 G32 G33 G34 G35 G36 G37 G38 G39 G40 G41 G42 G43 G44 G45 G46 G47 G48 G49 G50 G51 G52 G53 G54 G55 G56 G57 G58 G59 G60 G61 G62 G63 G64 G65 G66 G67 G68 G69 G70 G71 G72 G73 G74 G75 G76 G77 G78 G79 G80 G81 G82 G83 G84 G85 G86 G87 G88 G89 G90 G91 G92 G93 G94 G95 G96 G97 G98 G99 GB GBQ GDW GE GF GFI GGR GIA GIC GII GIP GJ GL GLD GLI GLL GM GO GP GQ GRM GRN GRO GV GWH H03 H04 H05 H06 H07 H08 H09 H10 H11 H12 H13 H14 H15 H16 H18 H19 H20 H21 H22 H23 H24 H25 H26 H27 H28 H29 H30 H31 H32 H33 H34 H35 H36 H37 H38 H39 H40 H41 H42 H43 H44 H45 H46 H47 H48 H49 H50 H51 H52 H53 H54 H55 H56 H57 H58 H59 H60 H61 H62 H63 H64 H65 H66 H67 H68 H69 H70 H71 H72 H73 H74 H75 H76 H77 H79 H80 H81 H82 H83 H84 H85 H87 H88 H89 H90 H91 H92 H93 H94 H95 H96 H98 H99 HA HAD HBA HBX HC HDW HEA HGM HH HIU HKM HLT HM HMO HMQ HMT HPA HTZ HUR HWE IA IE INH INK INQ ISD IU IUG IV J10 J12 J13 J14 J15 J16 J17 J18 J19 J2 J20 J21 J22 J23 J24 J25 J26 J27 J28 J29 J30 J31 J32 J33 J34 J35 J36 J38 J39 J40 J41 J42 J43 J44 J45 J46 J47 J48 J49 J50 J51 J52 J53 J54 J55 J56 J57 J58 J59 J60 J61 J62 J63 J64 J65 J66 J67 J68 J69 J70 J71 J72 J73 J74 J75 J76 J78 J79 J81 J82 J83 J84 J85 J87 J90 J91 J92 J93 J95 J96 J97 J98 J99 JE JK JM JNT JOU JPS JWL K1 K10 K11 K12 K13 K14 K15 K16 K17 K18 K19 K2 K20 K21 K22 K23 K26 K27 K28 K3 K30 K31 K32 K33 K34 K35 K36 K37 K38 K39 K40 K41 K42 K43 K45 K46 K47 K48 K49 K50 K51 K52 K53 K54 K55 K58 K59 K6 K60 K61 K62 K63 K64 K65 K66 K67 K68 K69 K70 K71 K73 K74 K75 K76 K77 K78 K79 K80 K81 K82 K83 K84 K85 K86 K87 K88 K89 K90 K91 K92 K93 K94 K95 K96 K97 K98 K99 KA KAT KB KBA KCC KDW KEL KGM KGS KHY KHZ KI KIC KIP KJ KJO KL KLK KLX KMA KMH KMK KMQ KMT KNI KNM KNS KNT KO KPA KPH KPO KPP KR KSD KSH KT KTN KUR KVA KVR KVT KW KWH KWN KWO KWS KWT KWY KX L10 L11 L12 L13 L14 L15 L16 L17 L18 L19 L2 L20 L21 L23 L24 L25 L26 L27 L28 L29 L30 L31 L32 L33 L34 L35 L36 L37 L38 L39 L40 L41 L42 L43 L44 L45 L46 L47 L48 L49 L50 L51 L52 L53 L54 L55 L56 L57 L58 L59 L60 L63 L64 L65 L66 L67 L68 L69 L70 L71 L72 L73 L74 L75 L76 L77 L78 L79 L80 L81 L82 L83 L84 L85 L86 L87 L88 L89 L90 L91 L92 L93 L94 L95 L96 L98 L99 LA LAC LBR LBT LD LEF LF LH LK LM LN LO LP LPA LR LS LTN LTR LUB LUM LUX LY M1 M10 M11 M12 M13 M14 M15 M16 M17 M18 M19 M20 M21 M22 M23 M24 M25 M26 M27 M29 M30 M31 M32 M33 M34 M35 M36 M37 M38 M39 M4 M40 M41 M42 M43 M44 M45 M46 M47 M48 M49 M5 M50 M51 M52 M53 M55 M56 M57 M58 M59 M60 M61 M62 M63 M64 M65 M66 M67 M68 M69 M7 M70 M71 M72 M73 M74 M75 M76 M77 M78 M79 M80 M81 M82 M83 M84 M85 M86 M87 M88 M89 M9 M90 M91 M92 M93 M94 M95 M96 M97 M98 M99 MAH MAL MAM MAR MAW MBE MBF MBR MC MCU MD MGM MHZ MIK MIL MIN MIO MIU MKD MKM MKW MLD MLT MMK MMQ MMT MND MNJ MON MPA MQD MQH MQM MQS MQW MRD MRM MRW MSK MTK MTQ MTR MTS MTZ MVA MWH N1 N10 N11 N12 N13 N14 N15 N16 N17 N18 N19 N20 N21 N22 N23 N24 N25 N26 N27 N28 N29 N3 N30 N31 N32 N33 N34 N35 N36 N37 N38 N39 N40 N41 N42 N43 N44 N45 N46 N47 N48 N49 N50 N51 N52 N53 N54 N55 N56 N57 N58 N59 N60 N61 N62 N63 N64 N65 N66 N67 N68 N69 N70 N71 N72 N73 N74 N75 N76 N77 N78 N79 N80 N81 N82 N83 N84 N85 N86 N87 N88 N89 N90 N91 N92 N93 N94 N95 N96 N97 N98 N99 NA NAR NCL NEW NF NIL NIU NL NM3 NMI NMP NPT NT NTU NU NX OA ODE ODG ODK ODM OHM ON ONZ OPM OT OZA OZI P1 P10 P11 P12 P13 P14 P15 P16 P17 P18 P19 P2 P20 P21 P22 P23 P24 P25 P26 P27 P28 P29 P30 P31 P32 P33 P34 P35 P36 P37 P38 P39 P40 P41 P42 P43 P44 P45 P46 P47 P48 P49 P5 P50 P51 P52 P53 P54 P55 P56 P57 P58 P59 P60 P61 P62 P63 P64 P65 P66 P67 P68 P69 P70 P71 P72 P73 P74 P75 P76 P77 P78 P79 P80 P81 P82 P83 P84 P85 P86 P87 P88 P89 P90 P91 P92 P93 P94 P95 P96 P97 P98 P99 PAL PD PFL PGL PI PLA PO PQ PR PS PTD PTI PTL PTN Q10 Q11 Q12 Q13 Q14 Q15 Q16 Q17 Q18 Q19 Q20 Q21 Q22 Q23 Q24 Q25 Q26 Q27 Q28 Q29 Q3 Q30 Q31 Q32 Q33 Q34 Q35 Q36 Q37 Q38 Q39 Q40 Q41 Q42 QA QAN QB QR QTD QTI QTL QTR R1 R9 RH RM ROM RP RPM RPS RT S3 S4 SAN SCO SCR SEC SET SG SIE SM3 SMI SQ SQR SR STC STI STK STL STN STW SW SX SYR T0 T3 TAH TAN TI TIC TIP TKM TMS TNE TP TPI TPR TQD TRL TST TTS U1 U2 UB UC VA VLT VP W2 WA WB WCD WE WEB WEE WG WHR WM WSD WTT X1 YDK YDQ YRD Z11 Z9 ZP ZZ X1A X1B X1D X1F X1G X1W X2C X3A X3H X43 X44 X4A X4B X4C X4D X4F X4G X4H X5H X5L X5M X6H X6P X7A X7B X8A X8B X8C XAA XAB XAC XAD XAE XAF XAG XAH XAI XAJ XAL XAM XAP XAT XAV XB4 XBA XBB XBC XBD XBE XBF XBG XBH XBI XBJ XBK XBL XBM XBN XBO XBP XBQ XBR XBS XBT XBU XBV XBW XBX XBY XBZ XCA XCB XCC XCD XCE XCF XCG XCH XCI XCJ XCK XCL XCM XCN XCO XCP XCQ XCR XCS XCT XCU XCV XCW XCX XCY XCZ XDA XDB XDC XDG XDH XDI XDJ XDK XDL XDM XDN XDP XDR XDS XDT XDU XDV XDW XDX XDY XEC XED XEE XEF XEG XEH XEI XEN XFB XFC XFD XFE XFI XFL XFO XFP XFR XFT XFW XFX XGB XGI XGL XGR XGU XGY XGZ XHA XHB XHC XHG XHN XHR XIA XIB XIC XID XIE XIF XIG XIH XIK XIL XIN XIZ XJB XJC XJG XJR XJT XJY XKG XKI XLE XLG XLT XLU XLV XLZ XMA XMB XMC XME XMR XMS XMT XMW XMX XNA XNE XNF XNG XNS XNT XNU XNV XO1 XO2 XO3 XO4 XO5 XO6 XO7 XO8 XO9 XOA XOB XOC XOD XOE XOF XOG XOH XOI XOJ XOK XOL XOM XON XOP XOQ XOR XOS XOT XOU XOV XOW XOX XOY XOZ XP1 XP2 XP3 XP4 XPA XPB XPC XPD XPE XPF XPG XPH XPI XPJ XPK XPL XPN XPO XPP XPR XPT XPU XPV XPX XPY XPZ XQA XQB XQC XQD XQF XQG XQH XQJ XQK XQL XQM XQN XQP XQQ XQR XQS XRD XRG XRJ XRK XRL XRO XRT XRZ XSA XSB XSC XSD XSE XSH XSI XSK XSL XSM XSO XSP XSS XST XSU XSV XSW XSX XSY XSZ XT1 XTB XTC XTD XTE XTG XTI XTK XTL XTN XTO XTR XTS XTT XTU XTV XTW XTY XTZ XUC XUN XVA XVG XVI XVK XVL XVN XVO XVP XVQ XVR XVS XVY XWA XWB XWC XWD XWF XWG XWH XWJ XWK XWL XWM XWN XWP XWQ XWR XWS XWT XWU XWV XWW XWX XWY XWZ XXA XXB XXC XXD XXF XXG XXH XXJ XXK XYA XYB XYC XYD XYF XYG XYH XYJ XYK XYL XYM XYN XYP XYQ XYR XYS XYT XYV XYW XYX XYY XYZ XZA XZB XZC XZD XZF XZG XZH XZJ XZK XZL XZM XZN XZP XZQ XZR XZS XZT XZU XZV XZW XZX XZY XZZ ', concat(' ', normalize-space(@unitCode), ' '))))"
                 id="BR-CL-23"
                 flag="fatal">[BR-CL-23]-Unit code MUST be coded according to the UN/ECE Recommendation 20 with Rec 21 extension</assert>
		</rule>
	  
		<rule flag="fatal" context="cbc:EmbeddedDocumentBinaryObject[@mimeCode]">
			<assert id="BR-CL-24" flag="fatal" test="((@mimeCode = 'application/pdf' or @mimeCode = 'image/png' or @mimeCode = 'image/jpeg' or @mimeCode = 'text/csv' or @mimeCode = 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' or @mimeCode = 'application/vnd.oasis.opendocument.spreadsheet'))">[BR-CL-24]-For Mime code in attribute use MIMEMediaType.</assert>
		</rule>
    
		<rule flag="fatal" context="cbc:EndpointID[@schemeID]">
      <assert id="BR-CL-25" flag="fatal" test="((not(contains(normalize-space(@schemeID), ' ')) and contains(' 0002 0007 0009 0037 0060 0088 0096 0097 0106 0130 0135 0142 0151 0183 0184 0190 0191 0192 0193 0194 0195 0196 0198 0199 0200 0201 0202 0203 0204 0208 0209 0210 0211 0212 0213 9901 9902 9904 9905 9906 9907 9910 9913 9914 9915 9918 9919 9920 9922 9923 9924 9925 9926 9927 9928 9929 9930 9931 9932 9933 9934 9935 9936 9937 9938 9939 9940 9941 9942 9943 9944 9945 9946 9947 9948 9949 9950 9951 9952 9953 9955 9957 AN AQ AS AU EM ', concat(' ', normalize-space(@schemeID), ' '))))">[BR-CL-25]-Endpoint identifier scheme identifier MUST belong to the CEF EAS code list</assert>
		</rule>

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-G']">
			<assert id="PEPPOL-EN16931-P0104" test="normalize-space(cbc-pl:ID)='G'" flag="fatal">Tax Category G MUST be used when exemption reason code is VATEX-EU-G</assert>
		</rule>		

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-O']">
			<assert id="PEPPOL-EN16931-P0105" test="normalize-space(cbc-pl:ID)='O'" flag="fatal">Tax Category O MUST be used when exemption reason code is VATEX-EU-O</assert>
		</rule>	

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-IC']">
			<assert id="PEPPOL-EN16931-P0106" test="normalize-space(cbc-pl:ID)='K'" flag="fatal">Tax Category K MUST be used when exemption reason code is VATEX-EU-IC</assert>
		</rule>			

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-AE']">
			<assert id="PEPPOL-EN16931-P0107" test="normalize-space(cbc-pl:ID)='AE'" flag="fatal">Tax Category AE MUST be used when exemption reason code is VATEX-EU-AE</assert>
		</rule>			

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-D']">
			<assert id="PEPPOL-EN16931-P0108" test="normalize-space(cbc-pl:ID)='E'" flag="fatal">Tax Category E MUST be used when exemption reason code is VATEX-EU-D</assert>
		</rule>	

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-F']">
			<assert id="PEPPOL-EN16931-P0109" test="normalize-space(cbc-pl:ID)='E'" flag="fatal">Tax Category E MUST be used when exemption reason code is VATEX-EU-F</assert>
		</rule>	

		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-I']">
			<assert id="PEPPOL-EN16931-P0110" test="normalize-space(cbc-pl:ID)='E'" flag="fatal">Tax Category E MUST be used when exemption reason code is VATEX-EU-I</assert>
		</rule>			
		
		<rule context="cac-pl:TaxCategory[upper-case(cbc-pl:TaxExemptionReasonCode)='VATEX-EU-J']">
			<assert id="PEPPOL-EN16931-P0111" test="normalize-space(cbc-pl:ID)='E'" flag="fatal">Tax Category E MUST be used when exemption reason code is VATEX-EU-J</assert>
		</rule>	

	</pattern>
</schema>
